
init offset = -1

transform marquee_move(t):
    xanchor 0.0 xpos 1.0
    linear t xanchor 1.0 xpos 0.0
    pause 1.0
    repeat

transform rtl_marquee_move(t):
    xanchor 1.0 xpos 0.0
    linear t xanchor 0.0 xpos 1.0
    pause 1.0
    repeat

screen marquee(text, width=1280, t=15):
    fixed:
        yalign .98
        yfit True
        xsize width
        at Transform(crop=(0, 0, 1.0, 1.0), crop_relative=True)

        text text:
            layout "nobreak" color "#fff"
            size gui.text_size
            alt ""
            if renpy.config.rtl:
                at rtl_marquee_move(t)
            else:
                at marquee_move(t)

screen menu_marquee():
    $ d6roll = renpy.random.randint(1, 6)
    if persistent.tragedysend:
        if d6roll>3:
            use marquee(_("tragedy: a playwright obsessed with bad endings"))
        else:
            use marquee(_("you: seeker of truth, love, and eternal happiness"))
    elif persistent.unlockedyou:
        if d6roll>3:
            use marquee(_("tragedy: the narrator, storyteller, god of this world"))
        else:
            use marquee(_("you: a lost soul who wandered into my theater"))
    else:
        if d6roll==1:
            use marquee(_("hero: young and courageous slayer of demons who fights to protect humans"))
        elif d6roll==2:
            use marquee(_("maiden: common victim of abduction or worse fates at the hands of demons"))
        elif d6roll==3:
            use marquee(_("underling: servants of the overlord, widely considered to be very untrustworthy"))
        elif d6roll==4:
            use marquee(_("overlord: tyrannical ruler of demons and the hero's ultimate target"))
        elif d6roll==5:
            use marquee(_("humans: peace-loving people ruled by their fear of violent demons"))
        else:
            use marquee(_("demons: unabashedly selfish creatures who value power above all else"))


##############################################################################
# Character Select
#
#
screen charselect():
    tag menu
    add "stage select"
    default tt = Tooltip(_("...."))
    if GamepadExists():
        add "gp_tri" xalign .1 yalign .02
        add "gp_o" xalign .9 yalign .02

    #text _("you are") xalign .5 yalign .1 size 54
    #text tt.value xalign .5 yalign .25 size 54
    key "toggle_skip" action None
    key "toggle_afm" action None

    hbox:
        xsize 720
        align (.5,.5)
        offset (90,80)
        xfill True
        imagebutton auto "herosprite %s" action Jump("herostart") hovered tt.Action(_("the hero")) at actor_enter alt "you are the hero"
        imagebutton auto "maidensprite %s" action Jump("maidenstart") hovered tt.Action(_("a maiden")) at actor_enter alt "you are a maiden"
        imagebutton auto "underlingsprite %s" action Jump("underlingstart") hovered tt.Action(_("an underling")) at actor_enter alt "you are an underling"
        imagebutton auto "overlordsprite %s" action Jump("overlordstart") hovered tt.Action(_("the overlord")) at actor_enter alt "you are the overlord"

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)] alt ""
    text tt.value xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    use setbehaviors
    use endings
    if GamepadExists():
        imagebutton auto "tut_%s":
            action Confirm(_("REPLAY THE TUTORIAL?"), Jump("tutorial"))
            xalign .02 yalign 0 alt _("tutorial")
            keysym "help" keyboard_focus False
    else:
        imagebutton auto "tut_%s":
            action Confirm(_("REPLAY THE TUTORIAL?"), Jump("tutorial"))
            xalign .02 yalign 0 alt _("tutorial")
            keysym "help"

screen burningcharselect():
    tag menu
    add "stage burntselect"
    default tt = Tooltip(_("...."))

    if GamepadExists():
        # add "gp_tri" xalign .1 yalign .02
        add "gp_o" xalign .9 yalign .02

    key "toggle_skip" action None
    key "toggle_afm" action None

    hbox:
        xsize 720
        align (.5,.5)
        offset (90,80)
        xfill True
        imagebutton auto "herospriteb %s" action Jump("burninghero") hovered tt.Action(_("the hero")) at actor_enter alt "you are the hero"
        imagebutton auto "maidenspriteb %s" action Jump("burningmaiden") hovered tt.Action(_("a maiden")) at actor_enter alt "you are a maiden"
        imagebutton auto "underlingspriteb %s" action Jump("burningunderling") hovered tt.Action(_("an underling")) at actor_enter alt "you are an underling"
        imagebutton auto "overlordspriteb %s" action Jump("burningoverlord") hovered tt.Action(_("the overlord")) at actor_enter alt "you are the overlord"

    hbox:
        xsize 183
        align .5,.5
        offset (90,140)
        imagebutton auto "yoursprite %s" action Jump("youstart") hovered tt.Action("???") at actor_enter alt "you are...?" id "you"

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)]
    text tt.value xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    key "focus_down" action Function( renpy.set_focus, "burningcharselect", "you" )

    use burntbehaviors()
    use endings()

screen burntbehaviors():
    style_prefix "behaviors"
    frame:
        #xfill True
        xalign .5
        yalign .92
        padding (30,4,0,10)
        at gui_appear

        has hbox
        vbox:
            style_prefix "check"
            xsize 240
            label _("HERO") text_color "#FFB546"
            textbutton _("ON FIRE")
        vbox:
            style_prefix "check"
            xsize 240
            label _("MAIDEN") text_color "#C2B2EB"
            textbutton _("ON FIRE")
        vbox:
            style_prefix "check"
            xsize 240
            label _("???") text_color "#fff"
            textbutton _("??????")
        vbox:
            style_prefix "check"
            xsize 240
            label _("UNDERLING") text_color "#46EBFF"
            textbutton _("ON FIRE")
        vbox:
            style_prefix "check"
            xsize 240
            label _("OVERLORD") text_color "#FF4F80"
            textbutton _("ON FIRE")

screen setbehaviors():
    default beh = Tooltip(_("^ set behaviors to change the flow of events"))
    #text _("BEHAVIORS")
    style_prefix "behaviors"
    frame:
        #xfill True
        xalign .5
        yalign .92
        padding (30,4,0,10)
        at gui_appear

        has hbox

        vbox:
            style_prefix "check"
            xsize 240
            label _("HERO") text_color "#FFB546"
            if persistent.dutiful:
                textbutton _("dutiful"):
                    action ToggleSetMembership(herobehavior, "slayer")
                    hovered beh.Action(_("slaughters all the demons")) #slaughters his way through the overlord's castle
            if persistent.heroic:
                textbutton _("heroic"):
                    action ToggleSetMembership(herobehavior, "coup")
                    hovered beh.Action(_("tries to kill the overlord"))
            if persistent.trusting:
                textbutton _("trusting"):
                    action ToggleSetMembership(herobehavior, "trusting")
                    hovered beh.Action(_("believes the maiden's story"))  ##slayer turns this off
            if persistent.diplomatic:
                textbutton _("diplomatic"):
                    action ToggleSetMembership(herobehavior, "diplomatic")
                    hovered beh.Action(_("prefers not to solve things through violence"))  ##this cant be true if you have slayer on
            if not persistent.dutiful and not persistent.heroic and not persistent.trusting and not persistent.diplomatic:
                textbutton _("LOCKED")


        vbox:
            style_prefix "check"
            xsize 240
            label _("MAIDEN") text_color "#C2B2EB"
            if persistent.polite:
                textbutton _("polite"):
                    action ToggleSetMembership(maidenbehavior, "polite")
                    hovered beh.Action(_("doesn't scream at the sight of the underling"))
            if persistent.obedient:
                textbutton _("obedient"):
                    action ToggleSetMembership(maidenbehavior, "obedient")
                    hovered beh.Action(_("goes home when the overlord tells her to"))
            if persistent.resolute:
                textbutton _("resolute"):
                    action ToggleSetMembership(maidenbehavior, "resolute")
                    hovered beh.Action(_("leaves the village with the hero in tow"))
            if persistent.martyr:
                textbutton _("martyr"):
                    action ToggleSetMembership(maidenbehavior, "martyr")
                    hovered beh.Action(_("dies to protect the overlord"))
            if not persistent.polite and not persistent.obedient and not persistent.resolute and not persistent.martyr:
                textbutton _("LOCKED")

        vbox:
            style_prefix "check"
            xsize 240
            label _("UNDERLING") text_color "#46EBFF"
            if persistent.hungry:
                textbutton _("hungry"):
                    action ToggleSetMembership(underlingbehavior, "hungry")
                    hovered beh.Action(_("eats the maiden immediately"))
            if persistent.disloyal:
                textbutton _("disloyal"):
                    action ToggleSetMembership(underlingbehavior, "disloyal")
                    hovered beh.Action(_("gets involved in the plot to kill the overlord"))
            if persistent.coward:
                textbutton _("coward"):
                    action ToggleSetMembership(underlingbehavior, "coward")
                    hovered beh.Action(_("doesn't go through with the assassination plot"))
            if persistent.captor:
                textbutton _("captor"):
                    action ToggleSetMembership(underlingbehavior, "captor")
                    hovered beh.Action(_("throws the maiden in the dungeon"))
            if not persistent.hungry and not persistent.disloyal and not persistent.coward and not persistent.captor:
                textbutton _("LOCKED")

        vbox:
            style_prefix "check"
            xsize 240
            label _("OVERLORD") text_color "#FF4F80"
            if persistent.slavedriver:
                textbutton _("tyrant"):
                    action ToggleSetMembership(overlordbehavior, "slavedriver")
                    hovered beh.Action(_("doesn't allow the underling a day off"))
            if persistent.antisocial:
                textbutton _("antisocial"):
                    action ToggleSetMembership(overlordbehavior, "antisocial")
                    hovered beh.Action(_("tells the maiden to leave"))
            if persistent.possessive:
                textbutton _("possessive"):
                    action ToggleSetMembership(overlordbehavior, "possessive")
                    hovered beh.Action(_("won't let the hero take the maiden home"))
            if persistent.merciful:
                textbutton _("merciful"):
                    action ToggleSetMembership(overlordbehavior, "merciful")
                    hovered beh.Action(_("lets her underling live in the end"))
            if not persistent.slavedriver and not persistent.antisocial and not persistent.possessive and not persistent.merciful:
                textbutton _("LOCKED")

    text beh.value yalign .99

style behaviors_text:
    size gui.quick_button_text_size
    xpos 200
style behaviors_button:
    size_group "behaviors"
    selected_background Solid("#000")

transform gui_appear:
    alpha 0 yoffset 10
    linear .2 alpha 1.0 yoffset 0

screen tutorial_charselect():
    tag menu
    add "stage select"
    default tt = Tooltip(_("...."))

    hbox:
        xsize 500
        spacing 160
        align (.5,.5)
        offset (90,80)
        xfill True
        imagebutton auto "humansprite %s" action Jump("tutorial_human") activate_sound "music/sound/choose.wav" hovered tt.Action(_("the human doll")) at actor_resize
        imagebutton auto "demonsprite %s" action Jump("tutorial_demon") activate_sound "music/sound/choose.wav" hovered tt.Action(_("the demon doll")) at actor_resize

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)]
    text tt.value xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    if tutorial_freeplay:
        imagebutton auto "charselect_%s":
            action Jump("tutorial_end") xalign .98 yalign 0
            activate_sound "music/sound/end.wav" alt _("character select")
            keysym "toggle_skip"
        use tutorial_behaviors
    else:
        if tutorial_round1:
            use marquee(_("WELCOME TO THE TUTORIAL! SELECT A DOLL TO BEGIN THE STORY."))
        else:
            use marquee(_("LET'S PLAY FROM ANOTHER PERSPECTIVE! WHAT WILL HAPPEN NEXT...?"))
        # vbox:
        #     yalign .98
        #     if renpy.config.rtl:
        #         if tutorial_round1:
        #             text _("WELCOME TO THE TUTORIAL! SELECT A DOLL TO BEGIN THE STORY.") at endmaptxtRTL
        #         else:
        #             text _("LET'S PLAY FROM ANOTHER PERSPECTIVE! WHAT WILL HAPPEN NEXT...?") at endmaptxtRTL
        #     else:
        #         if tutorial_round1:
        #             text _("WELCOME TO THE TUTORIAL! SELECT A DOLL TO BEGIN THE STORY.") at endmaptxt
        #         else:
        #             text _("LET'S PLAY FROM ANOTHER PERSPECTIVE! WHAT WILL HAPPEN NEXT...?") at endmaptxt

    if persistent.tutorial:
        use skiptut()


screen tutorial_behaviors():
    default beh = Tooltip(_("^ set the doll's behaviors before the story begins"))
    #text _("BEHAVIORS")
    style_prefix "behaviors"
    frame:
        xalign .5
        yalign .92
        padding (30,4,0,10)
        at gui_appear

        has hbox

        vbox:
            style_prefix "check"
            label _("HUMAN DOLL") #text_color "#FFB546"
            textbutton _("hostile"):
                action ToggleSetMembership(tutorialbehavior, "hostile")
                hovered beh.Action(_("the human doll will attack"))
        null width 120
        vbox:
            style_prefix "check"
            label _("DEMON DOLL") #text_color "#FFB546"
            textbutton _("wicked"):
                action ToggleSetMembership(tutorialbehavior, "wicked")
                hovered beh.Action(_("the demon doll will attack"))

    text beh.value xpos 360 yalign .99

screen skiptut():
    # textbutton _("end tutorial") action Jump("selectpaths") xalign .98 yalign .02
    # if GamepadExists():
    #     add "gp_o" xalign .9 yalign .02
    imagebutton auto "charselect_%s":
        action Jump("selectpaths") xalign .98 yalign 0
        activate_sound "music/sound/end.wav" alt _("character select") #keyboard_focus False
        # keysym "button_alternate"

screen skipcred(trueend):
    modal True
    button:
        action Confirm(_("SKIP CREDITS?"), Jump("endofcredits"))
        keysym "dismiss"
        if trueend:
            sensitive persistent.seen_trueendcredits==True
        else:
            sensitive persistent.seen_badendcredits==True
    if trueend:
        timer 100 action Hide("skipcred")
    else:
        timer 51 action Hide("skipcred")
#######################################################


screen battlemenu():
    default beh = Tooltip(_("^ how will you fight against TRAGEDY?"))
    style_prefix "behaviors"
    key "toggle_skip" action None
    key "toggle_afm" action None
    frame:
        xalign .5
        yalign .92
        padding (30,4,0,10)
        at gui_appear

        has hbox

        vbox:
            style_prefix "check"
            xsize 240
            if "hero" in party:
                label _("HERO") text_color "#FFB546"
                textbutton _("willpower"):
                    action [ToggleSetMembership(herobehavior, "willpower"), Jump("heroturn")]
                textbutton _("justice"):
                    action [ToggleSetMembership(herobehavior, "justice"), Jump("heroturn")]
            else:
                label _("____")
                textbutton _("SUMMON"):
                    action Jump("savehero")
                    hovered beh.Action(_("call for your friend to join you in battle!"))
        vbox:
            style_prefix "check"
            xsize 240
            if "maiden" in party:
                label _("MAIDEN") text_color "#C2B2EB"
                textbutton _("kindness"):
                    action [ToggleSetMembership(maidenbehavior, "kindness"), Jump("maidenturn")]
                textbutton _("hope"):
                    action [ToggleSetMembership(maidenbehavior, "hope"), Jump("maidenturn")]
            else:
                label _("______")
                textbutton _("SUMMON"):
                    action Jump("savemaiden")
                    hovered beh.Action(_("call for your friend to join you in battle!"))
        vbox:
            style_prefix "check"
            xsize 240
            if "underling" in party:
                label _("UNDERLING") text_color "#46EBFF"
                textbutton _("mischief"):
                    action [ToggleSetMembership(underlingbehavior, "mischief"), Jump("underlingturn")]
                textbutton _("tenacity"):
                    action [ToggleSetMembership(underlingbehavior, "tenacity"), Jump("underlingturn")]
            else:
                label _("_________")
                textbutton _("SUMMON"):
                    action Jump("saveunderling")
                    hovered beh.Action(_("call for your friend to join you in battle!"))
        vbox:
            style_prefix "check"
            xsize 240
            if "overlord" in party:
                label _("OVERLORD") text_color "#FF4F80"
                textbutton _("ambition"):
                    action [ToggleSetMembership(overlordbehavior, "ambition"), Jump("overlordturn")]
                textbutton _("brutality"):
                    action [ToggleSetMembership(overlordbehavior, "brutality"), Jump("overlordturn")]
            else:
                label _("________")
                textbutton _("SUMMON"):
                    action Jump("saveoverlord")
                    hovered beh.Action(_("call for your friend to join you in battle!"))

    text beh.value yalign .99

    hbox:
        style_prefix "quick"
        xalign .99
        yalign .98
        if GamepadExists():
            button:
                action ShowMenu('preferences') keyboard_focus False
                keysym "game_menu" activate_sound "music/sound/start.wav"
                has vbox
                text _("menu") xalign .5
                add "gp_start" xalign .5
        else:
            textbutton _("menu") action ShowMenu('preferences') keysym "game_menu" activate_sound "music/sound/start.wav"

screen hpbars():
    tag hp
    use yourlifebar
    use tragedylifebar

screen yourlifebar():
    vbox:
        xalign 0.02 yalign 0.02
        #at gui_appear
        text _("YOUR HP: [yourhp] / [persistent.endings_seen]") #.format(yourhp, persistent.endings_seen)
        # bar value yourhp range persistent.endings_seen xmaximum 250 xalign 0.5
        bar value AnimatedValue(yourhp, persistent.endings_seen, .1) xmaximum 250 xalign 0.5

screen tragedylifebar():
    add "tragedyhp bar0" at lifebarpos
    add "tragedyhp" xalign 1.0 yalign .58 #at gui_appear
    add "tragedyhp8" xalign 1.0 yalign .58 #at gui_appear

screen hpbars2(whichbar):
    use yourlifebar
    add "tragedyhp bar0" at lifebarpos
    add whichbar at depletelife
    add "tragedyhp" xalign 1.0 yalign .58 #at gui_appear
    add "tragedyhp8" xalign 1.0 yalign .58 #at gui_appear

screen hpbars3():
    #use yourlifebar
    add "tragedyhp bar0" at depletefinallife
    add "tragedyhp" xalign 1.0 yalign .58
    add "tragedyhp8" xalign 1.0 yalign .58 #at gui_appear

###########################

screen endings():
    #ending count
    vbox:
        xalign 0.98 yalign 0.1
        at gui_appear
        #xanchor 0.0 yanchor 1.0

        text _(" [persistent.endings_seen] / 41") alt ""
        bar value persistent.endings_seen range 41 xmaximum 208 xalign 0.5

        null height 8
        hbox:
            spacing 8
            xalign .9
            imagebutton auto "passage_%s":
                action Show("tragedynote", dissolve, passage=1)
                hover_foreground "button_fg_select"
                sensitive persistent.heroends_seen==11
            imagebutton auto "passage_%s":
                action Show("tragedynote", dissolve, passage=2)
                hover_foreground "button_fg_select"
                sensitive persistent.maidenends_seen==11
            imagebutton auto "passage_%s":
                action Show("tragedynote", dissolve, passage=3)
                hover_foreground "button_fg_select"
                sensitive persistent.underlingends_seen==9
            imagebutton auto "passage_%s":
                action Show("tragedynote", dissolve, passage=4)
                hover_foreground "button_fg_select"
                sensitive persistent.overlordends_seen==10

    #if persistent.endings_seen > 4:
    if GamepadExists():
        imagebutton auto "badend_%s":
            action ShowMenu("endingdetails") xalign .98 yalign 0
            activate_sound "music/sound/start.wav" alt _("endings")
            keysym "button_alternate" keyboard_focus False
    else:
        imagebutton auto "badend_%s":
            action ShowMenu("endingdetails") xalign .98 yalign 0
            activate_sound "music/sound/start.wav" alt _("endings")
            keysym "button_alternate"

    hbox:
        style_prefix "quick"
        xalign .99
        yalign .98
        if GamepadExists():
            button:
                action ShowMenu('preferences') keyboard_focus False
                keysym "game_menu" activate_sound "music/sound/start.wav"
                has vbox
                text _("menu") xalign .5
                add "gp_start" xalign .5
        else:
            textbutton _("menu") action ShowMenu('preferences') keysym "game_menu" activate_sound "music/sound/start.wav"

init:
    if persistent.endings_seen is None:
        $ persistent.endings_seen = 0
        $ persistent.heroends_seen = 0
        $ persistent.maidenends_seen = 0
        $ persistent.underlingends_seen = 0
        $ persistent.overlordends_seen = 0

screen endingdetails():

    default endmap = None

    if GamepadExists():
        add "gp_l" xalign .24 yalign .08
        add "gp_r" xalign .758 yalign .08

        add "gp_o" xalign .1 yalign .02
        add "gp_tri" xalign .9 yalign .02

    if endmap=="hero":
        key "rollback" action SetScreenVariable("endmap", None) activate_sound "music/sound/tap.wav"
        key "toggle_skip" action SetScreenVariable("endmap", "maiden") activate_sound "music/sound/tap.wav"
    elif endmap=="maiden":
        key "rollback" action SetScreenVariable("endmap", "hero") activate_sound "music/sound/tap.wav"
        key "toggle_skip" action SetScreenVariable("endmap", "underling") activate_sound "music/sound/tap.wav"
    elif endmap=="underling":
        key "rollback" action SetScreenVariable("endmap", "maiden") activate_sound "music/sound/tap.wav"
        key "toggle_skip" action SetScreenVariable("endmap", "overlord") activate_sound "music/sound/tap.wav"
    elif endmap=="overlord":
        key "rollback" action SetScreenVariable("endmap", "underling") activate_sound "music/sound/tap.wav"
        key "toggle_skip" action SetScreenVariable("endmap", None) activate_sound "music/sound/tap.wav"
    else:
        key "rollback" action SetScreenVariable("endmap", "overlord") activate_sound "music/sound/tap.wav"
        key "toggle_skip" action SetScreenVariable("endmap", "hero") activate_sound "music/sound/tap.wav"

    if endmap is None:
        key "button_alternate" action Return() activate_sound "music/sound/end.wav"
    else:
        key "button_alternate" action SetScreenVariable("endmap", None) activate_sound "music/sound/tap.wav"

    if endmap:
        add "grid" xalign .5 ypos 139 #at cgresize
    else:
        vbox:
            xalign .5
            yalign .4
            vbox:
                xalign .5
                text _("TOTAL: [persistent.endings_seen] / 41") alt "endings collected: [persistent.endings_seen] out of 41" #.format(persistent.endings_seen)
                bar value persistent.endings_seen range 41 xmaximum 250
            null height 20
            hbox:
                vbox:
                    textbutton _("HERO: [persistent.heroends_seen] / 11"):
                        action SetScreenVariable("endmap", "hero")
                        activate_sound "music/sound/tap.wav"
                        alt "hero endings collected: [persistent.heroends_seen] out of 11"
                    bar value persistent.heroends_seen range 11 xmaximum 250
                    null height 8
                    hbox:
                        spacing 6
                        if persistent.heroends_seen==11:
                            button:
                                action Show("tragedynote", dissolve, passage=1) padding (0,0)
                                has hbox
                                add "passage_hover"
                                null width 8
                                text _("lost letter #1") style "gui_button_text"
                        else:
                            add "passage_insensitive"
                            text _("??????") yalign .4 color "#909090"

                    null height 20
                    textbutton _("MAIDEN: [persistent.maidenends_seen] / 11"):
                        action SetScreenVariable("endmap", "maiden")
                        activate_sound "music/sound/tap.wav"
                        alt "maiden endings collected: [persistent.maidenends_seen] out of 11"
                    bar value persistent.maidenends_seen range 11 xmaximum 250
                    null height 8
                    hbox:
                        spacing 6
                        if persistent.maidenends_seen==11:
                            button:
                                action Show("tragedynote", dissolve, passage=2) padding (0,0)
                                has hbox
                                add "passage_hover"
                                null width 8
                                text _("lost letter #2") style "gui_button_text"
                        else:
                            add "passage_insensitive"
                            text _("??????") yalign .4 color "#909090"

                null width 20
                vbox:
                    textbutton _("UNDERLING: [persistent.underlingends_seen] / 9"):
                        action SetScreenVariable("endmap", "underling")
                        activate_sound "music/sound/tap.wav"
                        alt "underling endings collected: [persistent.underlingends_seen] out of 9"
                    bar value persistent.underlingends_seen range 9 xmaximum 250
                    null height 8
                    hbox:
                        spacing 6
                        if persistent.underlingends_seen==9:
                            button:
                                action Show("tragedynote", dissolve, passage=3) padding (0,0)
                                has hbox
                                add "passage_hover"
                                null width 8
                                text _("lost letter #3") style "gui_button_text"
                        else:
                            add "passage_insensitive"
                            text _("??????") yalign .4 color "#909090"

                    null height 20
                    textbutton _("OVERLORD: [persistent.overlordends_seen] / 10"):
                        action SetScreenVariable("endmap", "overlord")
                        activate_sound "music/sound/tap.wav"
                        alt "overlord endings collected: [persistent.overlordends_seen] out of 10"
                    bar value persistent.overlordends_seen range 10 xmaximum 250
                    null height 8
                    hbox:
                        spacing 6
                        if persistent.overlordends_seen==10:
                            button:
                                action Show("tragedynote", dissolve, passage=4) padding (0,0)
                                has hbox
                                add "passage_hover"
                                null width 8
                                text _("lost letter #4") style "gui_button_text"
                        else:
                            add "passage_insensitive"
                            text _("??????") yalign .4 color "#909090"


    frame:
        yalign .01
        xalign .5
        background None
        hbox:
            spacing 20
            imagebutton auto "endmap hero_%s":
                action ToggleScreenVariable("endmap", "hero")
                at resize
                activate_sound "music/sound/tap.wav"
                alt _("HERO")

            imagebutton auto "endmap maiden_%s":
                action ToggleScreenVariable("endmap", "maiden")
                at resize
                activate_sound "music/sound/tap.wav"
                alt _("MAIDEN")

            imagebutton auto "endmap underling_%s":
                action ToggleScreenVariable("endmap", "underling")
                at resize
                activate_sound "music/sound/tap.wav"
                alt _("UNDERLING")

            imagebutton auto "endmap overlord_%s":
                action ToggleScreenVariable("endmap", "overlord")
                at resize
                activate_sound "music/sound/tap.wav"
                alt _("OVERLORD")

    if GamepadExists():
        imagebutton auto "charselect2_%s":
            action Return() xalign .02 yalign 0
            activate_sound "music/sound/end.wav" alt _("character select")
            keysym "button_alternate" keyboard_focus False
        imagebutton auto "exit_%s":
            action MainMenu() xalign .98 yalign 0 alt _("EXIT THE THEATER")
            keysym "help" keyboard_focus False
    else:
        imagebutton auto "charselect2_%s":
            action Return() xalign .02 yalign 0
            activate_sound "music/sound/end.wav" alt _("character select")
            keysym "button_alternate"
        imagebutton auto "exit_%s":
            action MainMenu() xalign .98 yalign 0 alt _("EXIT THE THEATER")
            keysym "help"

    if persistent.truemaiden and not persistent.unlockedyou:
        if GamepadExists():
            hbox:
                xalign 1.0 yalign .4
                add "gp_start" yalign .5
                imagebutton auto "yourturn_%s":
                    action Start("yourturn") alt _("TRUE END")
                    activate_sound "music/sound/start.wav"
                    keysym "game_menu" keyboard_focus False
        else:
            imagebutton auto "yourturn_%s":
                action Start("yourturn") xalign 1.0 yalign .4 alt _("TRUE END")
                activate_sound "music/sound/start.wav"


    if endmap == "hero":
        use endmap_hero()
    elif endmap == "maiden":
        use endmap_maiden()
    elif endmap == "underling":
        use endmap_underling()
    elif endmap == "overlord":
        use endmap_overlord()
    else:
        frame:
            style_group "endmap2"
            # has vbox
            text _("select a character to display their timeline") xalign gui.tl_xalign text_align gui.tl_text_align

    if persistent.endings_seen <= 10:
        if persistent.firsttrueend:
            use marquee(_("DON'T GIVE UP! SURELY THERE'S A GOOD ENDING SOMEWHERE!"))
        else:
            use marquee(_("TRY TO REACH THE TRUE ENDINGS!"))
    elif persistent.endings_seen <= 15:
        use marquee(_("DON'T GIVE UP! SURELY THERE'S A GOOD ENDING SOMEWHERE!"))
    elif persistent.endings_seen <= 20:
        use marquee(_("WELCOME BACK! ARE YOU PLEASED WITH YOUR PROGRESS SO FAR?"))
    elif persistent.endings_seen <= 25:
        use marquee(_("LET'S WATCH MORE AND MORE BAD ENDINGS!"))
    elif persistent.endings_seen <= 30:
        use marquee(_("DO YOU HAVE A FAVORITE ENDING? OR IS IT STILL TOO EARLY TO DECIDE?"))
    elif persistent.endings_seen <= 35:
        use marquee(_("EVERYTHING YOU'VE DONE HAS ONLY HURT THEM MORE..."))
    elif persistent.endings_seen <= 39:
        use marquee(_("YOU MUST REALLY BE ENJOYING MY TRAGEDIES!"))
    elif persistent.endings_seen == 40:
        use marquee(_("ONE ENDING REMAINS... WILL IT BE GOOD, OR BAD?"))
    elif persistent.endings_seen <= 41:
        use marquee(_("CONGRATULATIONS! YOU'VE EXPLORED EVERY PATH I HAD TO OFFER. THANKS FOR PLAYING!!"))

# transform endmaptxt:
#     xoffset 1280
#     linear 15 xoffset -1280
#     repeat
#
# transform endmaptxtRTL:
#     xalign 1.0
#     xoffset -1280
#     linear 15 xoffset 1280
#     repeat

style endmap_frame:
    background None
    xpos 320
    ypos 21
style endmap_image_button:
    hover_foreground "button_fg"
    selected_foreground "button_fg_select"
style endmap2_frame:
    background None
    margin (0,0)
    padding (0,0)
    ysize 160
    xsize 700
    xpos 290
    yalign .99

style endmap2_vbox:
    xsize 700

screen endmap_hero():

    style_prefix "endmap"

    $ tooltip = GetTooltip()

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.heroends_seen==11:
            add "heroends"
        else:
            add "heroends dark"
            if persistent.loyalhero:
                add "heroends loyal"
            if persistent.failedhero:
                add "heroends failed"
            if persistent.uselesshero:
                add "heroends useless"
            if persistent.naivehero:
                add "heroends naive"
            if persistent.tragichero:
                add "heroends tragic"
            if persistent.triumphanthero:
                add "heroends triumphant"
            if persistent.bystanderhero:
                add "heroends bystander"
            if persistent.spectatorhero:
                add "heroends spectator"
            if persistent.unluckyhero:
                add "heroends unlucky"
            if persistent.resignedhero:
                add "heroends resigned"
            if persistent.truehero:
                add "heroends true"

    frame:
        imagebutton auto "endmap hero_%s":
            xpos 50 ypos 300 action NullAction()
            tooltip _("the hero begins his story")
            default_focus True

        imagebutton auto "endmap hero_%s":
            xpos 100 ypos 250 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("the hero slays the demons {color=#FFB546}(dutiful){/color}")
        imagebutton auto "endmap hero_%s":
            xpos 100 ypos 300 action NullAction()
            tooltip _("the hero flees from the demons")
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 375 action NullAction()
            sensitive persistent.antisocial==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} antisocial")

        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 200 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("the hero slaughters his way through the castle {color=#FFB546}(dutiful){/color}")
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 275 action NullAction()
            sensitive persistent.diplomatic==True
            tooltip _("the hero is let into the castle without issue {color=#FFB546}(diplomatic){/color}")
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 350 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("the hero slays the demons {color=#FFB546}(dutiful){/color}")
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 400 action NullAction()
            tooltip _("the hero flees from the demons")

        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 150 action NullAction()
            sensitive persistent.hungry==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} hungry")
        imagebutton auto "endmap overlord_%s":
            xpos 200 ypos 200 action NullAction()
            tooltip _("the hero finds the maiden. the overlord is upset.")
        imagebutton auto "endmap overlord_%s":
            xpos 200 ypos 250 action NullAction()
            tooltip _("the hero reaches the overlord's room. everything is fine!")
        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 300 action NullAction()
            sensitive persistent.hungry==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} hungry")
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 350 action NullAction()
            sensitive persistent.obedient==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} obedient (she runs from you)")
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 400 action NullAction()
            sensitive persistent.obedient==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} obedient (you talk)")

        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 125 action NullAction()
            sensitive persistent.failedhero==True
            tooltip _("{color=#C20038}FAILED:{/color} the hero slays the overlord. he never knows what became of the maiden.")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 175 action NullAction()
            tooltip _("the hero apologizes for what he's done")
        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 225 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 275 action NullAction()
            sensitive persistent.possessive==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} possessive")
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 325 action NullAction()
            sensitive persistent.uselesshero==True
            tooltip _("{color=#C20038}USELESS:{/color} the hero's adventure was pointless. he returns home having accomplished nothing.")
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 375 action NullAction()
            sensitive persistent.spectatorhero==True
            tooltip _("{color=#C20038}SPECTATOR:{/color} the hero watches the maiden burn. she must have somehow deserved it.")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 425 action NullAction()
            sensitive persistent.trusting==True
            tooltip _("the hero believes the maiden's story {color=#FFB546}(trusting){/color}")

        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 150 action NullAction()
            sensitive persistent.tragichero==True
            tooltip _("{color=#C20038}TRAGIC:{/color} the hero is slain by the overlord. he accepts his punishment.")
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 200 action NullAction()
            sensitive persistent.heroic==True
            tooltip _("the hero tries to slay the overlord {color=#FFB546}(heroic){/color}")
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 275 action NullAction()
            sensitive persistent.naivehero==True
            tooltip _("{color=#C20038}NAIVE:{/color} the hero is swiftly defeated by the overlord. she captures the maiden.")
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 400 action NullAction()
            sensitive persistent.disloyal==True and persistent.captor==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal, captor")
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 450 action NullAction()
            sensitive persistent.resolute==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} resolute")

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 150 action NullAction()
            sensitive persistent.triumphanthero==True
            tooltip _("{color=#C20038}TRIUMPHANT:{/color} the hero slays the overlord. he brings the maiden home.")
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 200 action NullAction()
            sensitive persistent.martyr==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} martyr")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action NullAction()
            sensitive persistent.bystanderhero==True
            tooltip _("{color=#C20038}BYSTANDER:{/color} the hero does nothing as the demon castle burns down.")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 400 action NullAction()
            sensitive persistent.unluckyhero==True
            tooltip _("{color=#C20038}UNLUCKY:{/color} the hero is abruptly killed off by the underling after fighting the overlord.")
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 450 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 200 action NullAction()
            sensitive persistent.loyalhero==True
            tooltip _("{color=#C20038}LOYAL:{/color} the hero slays the overlord. he could not save the maiden.")

        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action NullAction()
            sensitive "demonplot" in persistent.endmap_flags
            tooltip _("the maiden overhears the underling's plot to kill the overlord and goes back to warn her")

        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action NullAction()
            sensitive persistent.merciful==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} merciful")
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action NullAction()
            sensitive persistent.resignedhero==True
            tooltip _("{color=#C20038}RESIGNED:{/color} the hero can do nothing as everyone is consumed by flames.")

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action NullAction()
            sensitive persistent.truehero==True
            tooltip _("{color=#C20038}TRUE END{/color}")

    frame:
        style_group "endmap2"
        has vbox
        if tooltip:
            text "[tooltip!t]" xalign gui.tl_xalign text_align gui.tl_text_align


screen endmap_maiden():

    style_prefix "endmap"

    $ tooltip = GetTooltip()

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.maidenends_seen==11:
            add "maidenends"
        else:
            add "maidenends dark"
            if persistent.consumedmaiden:
                add "maidenends consumed"
            if persistent.capturedmaiden:
                add "maidenends captured"
            if persistent.selflessmaiden:
                add "maidenends selfless"
            if persistent.complacentmaiden:
                add "maidenends complacent"
            if persistent.executedmaiden:
                add "maidenends executed"
            if persistent.escapedmaiden:
                add "maidenends escaped"
            if persistent.sacrificialmaiden:
                add "maidenends sacrificial"
            if persistent.slaughteredmaiden:
                add "maidenends slaughtered"
            if persistent.imprisonedmaiden:
                add "maidenends imprisoned"
            if persistent.devoutmaiden:
                add "maidenends devout"
            if persistent.truemaiden:
                add "maidenends true"

    frame:
        imagebutton auto "endmap maiden_%s":
            xpos 50 ypos 300 action NullAction()
            tooltip _("the maiden begins her story")
            default_focus True

        imagebutton auto "endmap underling_%s":
            xpos 100 ypos 250 action NullAction()
            sensitive persistent.hungry==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} hungry")
        imagebutton auto "endmap ending_%s":
            xpos 150 ypos 250 action NullAction()
            sensitive persistent.consumedmaiden==True
            tooltip _("{color=#C20038}CONSUMED:{/color} the maiden is immediately eaten by the underling. she didn't stand a chance.")

        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 300 action NullAction()
            tooltip _("the maiden meets the overlord")

        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 300 action NullAction()
            sensitive persistent.antisocial==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} antisocial")

        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 250 action NullAction()
            sensitive persistent.obedient==True
            tooltip _("the maiden chooses to leave when told {color=#9187d6}(obedient){/color}")
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 325 action NullAction()
            tooltip _("the maiden stays with the overlord a while")

        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 200 action NullAction()
            sensitive persistent.trusting==True
            tooltip _("{color=#FFB546}hero behavior:{/color} trusting")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 275 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("{color=#FFB546}hero behavior:{/color} dutiful")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 325 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("{color=#FFB546}hero behavior:{/color} dutiful")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 400 action NullAction()
            sensitive persistent.diplomatic==True
            tooltip _("{color=#FFB546}hero behavior:{/color} diplomatic")

        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 175 action NullAction()
            tooltip _("the maiden returns to see the overlord alone")
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 225 action NullAction()
            sensitive persistent.resolute==True
            tooltip _("the maiden returns to see the overlord with the hero {color=#9187d6}(resolute){/color}")
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 275 action NullAction()
            tooltip _("the maiden returns to her village alone")
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 325 action NullAction()
            sensitive persistent.heroic==True
            tooltip _("{color=#FFB546}hero behavior:{/color} heroic")
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 375 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")
        imagebutton auto "endmap overlord_%s":
            xpos 300 ypos 425 action NullAction()
            sensitive persistent.possessive==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} possessive")

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 125 action NullAction()
            sensitive persistent.selflessmaiden==True
            tooltip _("{color=#C20038}SELFLESS:{/color} the maiden tries to save the overlord from the burning castle.")
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 175 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 250 action NullAction()
            sensitive persistent.executedmaiden==True
            tooltip _("{color=#C20038}EXECUTED:{/color} the maiden is burned at the stake. she is an enemy of the village.")
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action NullAction()
            sensitive persistent.martyr==True
            tooltip _("the maiden stops the hero {color=#9187d6}(martyr){/color}")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action NullAction()
            sensitive persistent.complacentmaiden==True
            tooltip _("{color=#C20038}COMPLACENT:{/color} the maiden stands by as the hero slays the overlord.")
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 425 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 475 action NullAction()
            sensitive persistent.capturedmaiden==True
            tooltip _("{color=#C20038}CAPTURED:{/color} the maiden becomes property of the overlord.")

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 125 action NullAction()
            sensitive persistent.slaughteredmaiden==True
            tooltip _("{color=#C20038}SLAUGHTERED:{/color} the maiden is slain by the underling after overhearing their plot.")
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 175 action NullAction()
            sensitive persistent.captor==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} captor")
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 225 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")
        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 300 action NullAction()
            sensitive persistent.sacrificialmaiden==True
            tooltip _("{color=#C20038}SACRIFICIAL:{/color} the maiden dies to protect the overlord. she accepts this fate.")
        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 425 action NullAction()
            sensitive persistent.escapedmaiden==True
            tooltip _("{color=#C20038}ESCAPED:{/color} the maiden is saved from the overlord.")

        imagebutton auto "endmap ending_%s":
            xpos 450 ypos 175 action NullAction()
            sensitive persistent.imprisonedmaiden==True
            tooltip _("{color=#C20038}IMPRISONED:{/color} the maiden is captured by the underling and sent to the dungeon.")
        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action NullAction()
            sensitive "demonplot" in persistent.endmap_flags
            tooltip _("the maiden overhears the underling's plot to kill the overlord and goes back to warn her")
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action NullAction()
            sensitive persistent.devoutmaiden==True
            tooltip _("{color=#C20038}DEVOUT:{/color} the maiden prays as everyone is consumed by flames.")
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action NullAction()
            sensitive persistent.merciful==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} merciful")
        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action NullAction()
            sensitive persistent.truemaiden==True
            tooltip _("{color=#C20038}TRUE END{/color}")

    frame:
        style_group "endmap2"
        has vbox
        if tooltip:
            text "[tooltip!t]" xalign gui.tl_xalign text_align gui.tl_text_align


screen endmap_underling():

    style_prefix "endmap"

    $ tooltip = GetTooltip()

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.underlingends_seen==9:
            add "underlingends"
        else:
            add "underlingends dark"
            if "polite" in persistent.endmap_flags:
                add "underlingends polite"
            if persistent.performerunderling:
                add "underlingends performer"
            if persistent.heroicunderling:
                add "underlingends heroic"
            if persistent.faithfulunderling:
                add "underlingends faithful"
            if persistent.deserterunderling:
                add "underlingends deserter"
            if persistent.victoriousunderling:
                add "underlingends victorious"
            if persistent.cowardlyunderling:
                add "underlingends cowardly"
            if persistent.traitorunderling:
                add "underlingends traitor"
            if persistent.lordunderling:
                add "underlingends lord"
            if persistent.trueunderling:
                add "underlingends true"

    frame:
        imagebutton auto "endmap underling_%s":
            xpos 50 ypos 300 action NullAction()
            tooltip _("the underling begins their story")
            default_focus True

        imagebutton auto "endmap underling_%s":
            xpos 100 ypos 300 action NullAction()
            tooltip _("the underling is granted the day off")
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 350 action NullAction()
            sensitive persistent.slavedriver==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} tyrant")

        imagebutton auto "endmap maiden_%s":
            xpos 150 ypos 275 action NullAction()
            sensitive persistent.polite==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} polite")
        imagebutton auto "endmap underling_%s":
            xpos 150 ypos 375 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("the underling gets involved in a plot to dethrone the overlord {color=#46EBFF}(disloyal){/color}")

        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 300 action NullAction()
            tooltip _("the underling brings the maiden to the castle")
        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 400 action NullAction()
            sensitive persistent.hungry==True
            tooltip _("the underling devours the maiden {color=#46EBFF}(hungry){/color}")

        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 300 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("the underling gets involved in a plot to dethrone the overlord {color=#46EBFF}(disloyal){/color}")
        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 375 action NullAction()
            tooltip _("the underling returns to the castle")
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 425 action NullAction()
            sensitive persistent.performerunderling==True
            tooltip _("{color=#C20038}PERFORMER:{/color} the underling performs a brilliant massacre. they are slain by the hero.")

        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 250 action NullAction()
            sensitive persistent.diplomatic==True
            tooltip _("{color=#FFB546}hero behavior:{/color} diplomatic")
        imagebutton auto "endmap overlord_%s":
            xpos 300 ypos 300 action NullAction()
            sensitive persistent.antisocial==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} antisocial")
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 350 action NullAction()
            sensitive persistent.faithfulunderling==True
            tooltip _("{color=#C20038}FAITHFUL:{/color} the underling stays loyal to the overlord and pays with their life.")
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 400 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("{color=#FFB546}hero behavior:{/color} dutiful")

        imagebutton auto "endmap overlord_%s":
            xpos 350 ypos 225 action NullAction()
            sensitive persistent.possessive==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} possessive")
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action NullAction()
            sensitive persistent.obedient==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} obedient")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 400 action NullAction()
            sensitive persistent.deserterunderling==True
            tooltip _("{color=#C20038}DESERTER:{/color} the underling abandons their comrades. they live in solitude from then on.")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 450 action NullAction()
            sensitive persistent.victoriousunderling==True
            tooltip _("{color=#C20038}VICTORIOUS:{/color} the underling exacts revenge against the hero. they die in the process.")

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 200 action NullAction()
            sensitive persistent.heroicunderling==True
            tooltip _("{color=#C20038}HEROIC:{/color} the underling ends up saving the maiden. they become the new overlord.")
        imagebutton auto "endmap hero_%s":
            xpos 400 ypos 300 action NullAction()
            sensitive persistent.trusting==True
            tooltip _("{color=#FFB546}hero behavior:{/color} trusting")
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 375 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("the underling confirms the plan to kill the overlord {color=#46EBFF}(disloyal){/color}")

        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action NullAction()
            sensitive persistent.resolute==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} resolute")
        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 350 action NullAction()
            sensitive persistent.captor==True
            tooltip _("the underling imprisons the maiden {color=#46EBFF}(captor){/color}")
        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 400 action NullAction()
            sensitive persistent.coward==True
            tooltip _("the underling doesn't follow through with the plan {color=#46EBFF}(coward){/color}")

        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action NullAction()
            sensitive persistent.traitorunderling==True
            tooltip _("{color=#C20038}TRAITOR:{/color} the underling is killed by the overlord out of retribution.")
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action NullAction()
            sensitive persistent.merciful==True
            tooltip _("{color=#FF4F80}overlord behavior:{/color} merciful")
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 350 action NullAction()
            sensitive persistent.lordunderling==True
            tooltip _("{color=#C20038}LORD:{/color} the underling violently overthrows the overlord. they become the new demon ruler.")
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 400 action NullAction()
            sensitive persistent.cowardlyunderling==True
            tooltip _("{color=#C20038}COWARDLY:{/color} the underling fails to assassinate the overlord and burns with her.")

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action NullAction()
            sensitive persistent.trueunderling==True
            tooltip _("{color=#C20038}TRUE END{/color}")

    frame:
        style_group "endmap2"
        has vbox
        if tooltip:
            text "[tooltip!t]" xalign gui.tl_xalign text_align gui.tl_text_align


screen endmap_overlord():

    style_prefix "endmap"

    $ tooltip = GetTooltip()

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.overlordends_seen==10:
            add "overlordends"
        else:
            add "overlordends dark"
            if persistent.wrathfuloverlord:
                add "overlordends wrathful"
            if persistent.slainoverlord:
                add "overlordends slain"
            if persistent.yandereoverlord:
                add "overlordends selfish"
            if persistent.vengefuloverlord:
                add "overlordends vengeful"
            if persistent.conqueredoverlord:
                add "overlordends conquered"
            if persistent.betrayedoverlord:
                add "overlordends betrayed"
            if persistent.assassinatedoverlord:
                add "overlordends assassinated"
            if persistent.burnedoverlord:
                add "overlordends burned"
            if persistent.spitefuloverlord:
                add "overlordends spiteful"
            if persistent.trueoverlord:
                add "overlordends true"

    frame:
        imagebutton auto "endmap overlord_%s":
            xpos 50 ypos 300 action NullAction()
            tooltip _("the overlord begins her story")
            default_focus True

        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 275 action NullAction()
            tooltip _("the overlord lets the underling have the day off")
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 325 action NullAction()
            tooltip _("the overlord tells the underling to get back to work {color=#FF4F80}(tyrant){/color}")
            sensitive persistent.slavedriver==True

        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 250 action NullAction()
            tooltip _("the overlord allows the maiden to stay and chat")
        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 300 action NullAction()
            sensitive persistent.antisocial==True
            tooltip _("the overlord tells the maiden to go home {color=#FF4F80}(antisocial){/color}")
        imagebutton auto "endmap underling_%s":
            xpos 150 ypos 350 action NullAction()
            sensitive persistent.hungry==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} hungry")

        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 175 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("{color=#FFB546}hero behavior:{/color} dutiful")
        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 225 action NullAction()
            sensitive persistent.diplomatic==True
            tooltip _("{color=#FFB546}hero behavior:{/color} diplomatic")
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 300 action NullAction()
            sensitive persistent.obedient==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} obedient")
        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 375 action NullAction()
            sensitive persistent.dutiful==True
            tooltip _("{color=#FFB546}hero behavior:{/color} dutiful")

        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 125 action NullAction()
            sensitive persistent.wrathfuloverlord==True
            tooltip _("{color=#C20038}WRATHFUL:{/color} the overlord destroys the hero after he destroyed her army.")
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 175 action NullAction()
            sensitive persistent.heroic==True
            tooltip _("{color=#FFB546}hero behavior:{/color} heroic")
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 225 action NullAction()
            sensitive persistent.possessive==True
            tooltip _("the overlord claims the maiden as her own {color=#FF4F80}(possessive){/color}")
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 275 action NullAction()
            tooltip _("the overlord lets the maiden and hero go")
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 350 action NullAction()
            tooltip _("the overlord awakens")
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 400 action NullAction()
            sensitive persistent.conqueredoverlord==True
            tooltip _("{color=#C20038}CONQUERED:{/color} the overlord loses to the hero. she dies lamenting her lack of strength.")

        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 125 action NullAction()
            sensitive persistent.slainoverlord==True
            tooltip _("{color=#C20038}SLAIN:{/color} the overlord is stabbed in the back by the hero.")
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 175 action NullAction()
            sensitive persistent.martyr==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} martyr")
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 225 action NullAction()
            sensitive persistent.yandereoverlord==True
            tooltip _("{color=#C20038}SELFISH:{/color} the overlord keeps the maiden all to herself.")
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 300 action NullAction()
            sensitive persistent.trusting==True
            tooltip _("{color=#FFB546}hero behavior:{/color} trusting")
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 350 action NullAction()
            sensitive persistent.coward==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} coward")
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 400 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 175 action NullAction()
            sensitive persistent.vengefuloverlord==True
            tooltip _("{color=#C20038}VENGEFUL:{/color} the overlord sets her sights on world domination after the maiden is killed.")
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action NullAction()
            sensitive persistent.resolute==True
            tooltip _("{color=#9187d6}maiden behavior:{/color} resolute")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action NullAction()
            sensitive persistent.burnedoverlord==True
            tooltip _("{color=#C20038}BURNED:{/color} the overlord is locked in her room and set ablaze.")
        imagebutton auto "endmap hero_%s":
            xpos 350 ypos 400 action NullAction()
            sensitive persistent.trusting==True
            tooltip _("{color=#FFB546}hero behavior:{/color} trusting")
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 450 action NullAction()
            sensitive persistent.assassinatedoverlord==True
            tooltip _("{color=#C20038}ASSASSINATED:{/color} the overlord wakes up to the underling tearing her throat out.")

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 400 action NullAction()
            sensitive persistent.betrayedoverlord==True
            tooltip _("{color=#C20038}BETRAYED:{/color} the overlord, weakened from fighting the hero, is taken out by the underling.")

        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 300 action NullAction()
            sensitive persistent.disloyal==True
            tooltip _("{color=#46EBFF}underling behavior:{/color} disloyal")

        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action NullAction()
            sensitive persistent.spitefuloverlord==True
            tooltip _("{color=#C20038}SPITEFUL:{/color} the overlord murders her underling in cold blood.")
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action NullAction()
            sensitive persistent.merciful==True
            tooltip _("the overlord spares her underling {color=#FF4F80}(merciful){/color}")

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action NullAction()
            sensitive persistent.trueoverlord==True
            tooltip _("{color=#C20038}TRUE END{/color}")

    frame:
        style_group "endmap2"
        has vbox
        if tooltip:
            text "[tooltip!t]" xalign gui.tl_xalign text_align gui.tl_text_align


image button_fg_select:
    offset (-4,-4)
    "btnfg1"
    pause .3
    "btnfg2"
    pause .3
    repeat
image button_fg:
    offset (-4,-5)
    "btnfg0"
    block:
        xoffset -8
        pause .3
        xoffset -9
        pause .3
        repeat
image note your_insensitive = "note_insensitive"
image note hero_insensitive = "note_insensitive"
image note maiden_insensitive = "note_insensitive"
image note underling_insensitive = "note_insensitive"
image note overlord_insensitive = "note_insensitive"
image note tragedy_insensitive = "note_insensitive"

init python:
    def pick_shuffle():
        while True:
            shuffleno = renpy.random.randint(1, len(musiclist))
            shuffletrack =  musiclist[shuffleno-1]

            if renpy.seen_audio(shuffletrack):
                return (shuffleno, shuffletrack)

    # def nextpassage(currentpassage):
    #
    #     if currentpassage==1:
    #         if persistent.maidenends_seen==11:
    #             return 2
    #         elif persistent.underlingends_seen==9:
    #             return 3
    #         elif persistent.overlordends_seen==9:
    #             return 4
    #         else:
    #             return currentpassage
    #
    #     if currentpassage==2:
    #         if persistent.underlingends_seen==9:
    #             return 3
    #         elif persistent.overlordends_seen==9:
    #             return 4
    #         elif persistent.heroends_seen==11:
    #             return 1
    #         else:
    #             return currentpassage
    #
    #     if currentpassage==3:
    #         if persistent.overlordends_seen==9:
    #             return 4
    #         elif persistent.heroends_seen==11:
    #             return 1
    #         elif persistent.maidenends_seen==11:
    #             return 2
    #         else:
    #             return currentpassage
    #
    #     if currentpassage==4:
    #         if persistent.heroends_seen==11:
    #             return 1
    #         if persistent.maidenends_seen==11:
    #             return 2
    #         elif persistent.underlingends_seen==9:
    #             return 3
    #         else:
    #             return currentpassage
    #
    # def prevpassage(currentpassage):
    #     return currentpassage


screen soundstage():
    # tag menu
    on "show" action Stop("music", fadeout=1)

    key "toggle_skip" action None

    add "black" #stage select?
    modal True
    default currentsong = 0

    style_prefix "musicgal"

    grid 6 5:
        transpose True
        align (.5,.5)
        spacing 20

        for c, i in enumerate(musiclist[0:5], 1):
            imagebutton auto "note hero_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)

        for c, i in enumerate(musiclist[5:10], 6):
            imagebutton auto "note maiden_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)

        for c, i in enumerate(musiclist[10:15], 11):
            imagebutton auto "note underling_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)

        for c, i in enumerate(musiclist[15:20], 16):
            imagebutton auto "note overlord_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)

        for c, i in enumerate(musiclist[20:25], 21):
            imagebutton auto "note tragedy_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i) or persistent.seen_trueendcredits==True

        for c, i in enumerate(musiclist[25:30], 26):
            imagebutton auto "note your_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                tooltip tracklist[c]
                alt tracklist[c]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i) or persistent.seen_trueendcredits==True

    hbox:
        align (.5, .92)
        if GamepadExists():
            add "gp_start" yalign .5
        textbutton _("return"):
            keysym "game_menu" activate_sound "music/sound/end.wav"
            action [Play("music", "music/mainmenu.ogg", loop=True, fadein=.5, fadeout=.5), Hide("soundstage", transition=fade), Function( renpy.set_focus, "main_menu", "mmbutton" )]
    vbox:
        align (.68,.5)
        spacing 52
        $ shuffle = pick_shuffle()
        imagebutton auto "random %s":
            action [ Play("music", shuffle[1], loop=True), SetScreenVariable("currentsong", shuffle[0])]
            tooltip _("RANDOM") alt _("RANDOM")
            keysym "toggle_afm"
            hover_foreground "button_fg"
        imagebutton auto "silence %s":
            action [ Stop("music"), SetScreenVariable("currentsong",0) ]
            tooltip _("SILENCE") alt _("SILENCE")
            hover_foreground "button_fg"
            selected_foreground "button_fg_select"
            keysym "button_alternate"
            # default_focus True
    if GamepadExists():
        vbox:
            align (.71,.498)
            spacing 52
            add "gp_sq"
            add "gp_o"

    vbox:
        align (.5,.2)
        label _("NOW PLAYING")
        frame:
            text tracklist[currentsong] xalign .5

    vbox:
        align gui.musicgal_bottombox_align
        label _("UP NEXT") alt ""
        frame:
            $ tooltip = GetTooltip()
            if tooltip:
                text "[tooltip!t]" xalign .5 color "#aaa"#"#ff5c5c"
            else:
                text ""

style musicgal_frame:
    padding (40,10)
    xminimum gui.musicgal_frame_xminimum

define musiclist = [
    "music/hero song.ogg",
    "<loop 6.86>music/hero battle.ogg",
    "music/hero doom.ogg",
    "music/hero lost.ogg",
    "music/hero requiem.ogg",

    "music/maiden song.ogg",
    "music/maiden fear.ogg",
    "music/attraction.ogg",
    "music/maiden demise.ogg",
    "music/maiden requiem.ogg",

    "music/underling song.ogg",
    "music/underling friend.ogg",
    "music/underling violence.ogg",
    "music/underling plot.ogg",
    "music/underling requiem.ogg",

    "music/overlord song.ogg",
    "music/overlord fight.ogg",
    "<loop 7.37>music/insurrection.ogg",
    "music/overlord lonely.ogg",
    "music/overlord requiem.ogg",

    "music/your song.ogg",
    "music/your tragedy.ogg",
    "music/your finalbattle.ogg",
    "music/your ending.ogg",
    "music/your requiem.ogg",

    "music/their song.ogg",
    "music/characterselect.ogg",
    "music/tcelesretcarahc.ogg",
    "music/credits bad.ogg",
    "music/credits true.ogg"
    ]
define tracklist = [ _("SILENCE"),
    _("HERO song"),
    _("HERO battle"),
    _("HERO doom"),
    _("HERO lost"),
    _("HERO requiem"),

    _("MAIDEN song"),
    _("MAIDEN fear"),
    _("attraction"),
    _("MAIDEN demise"),
    _("MAIDEN requiem"),

    _("UNDERLING song"),
    _("UNDERLING friend"),
    _("UNDERLING violence"),
    _("UNDERLING plot"),
    _("UNDERLING requiem"),

    _("OVERLORD song"),
    _("OVERLORD fight"),
    _("insurrection"),
    _("OVERLORD lonely"),
    _("OVERLORD requiem"),

    _("YOUR song"),
    _("YOUR tragedy"),
    _("YOUR final battle"),
    _("YOUR ending"),
    _("YOUR requiem"),

    _("THEIR song"),
    _("character select"),
    _("tceles retcarahc"),
    _("BAD END THEATER - bad end ver."),
    _("BAD END THEATER - true end ver.")
]

transform cuemusic_appear(delay):
    alpha 0 xoffset -30
    pause delay
    easein .5 alpha 1.0 xoffset 0
    on hide:
        easein .5 alpha 0 xoffset -30

screen cuemusic(note, song, delay=0):

    zorder 100
    style_prefix "notify"

    if persistent.showmusiccues:
        frame at cuemusic_appear(delay):
            # xsize 260
            has hbox
            spacing 12
            add note yalign .5
            text "[song!tq]"

    timer 3.0 action Hide('cuemusic')

screen contentwarning():
    add "black" alpha .7
    modal True
    add Solid("#000", xsize=800) xalign .5
    zorder 99
    vbox:
        spacing 8
        xsize 620
        align (.5,.5)
        text _("NOTICE:") xalign gui.tl_xalign
        null height 8
        vbox:
            style_group "letter"
            text _("If you choose to enter BAD END THEATER, you will witness many scenes involving violence, murder, and death.")
            text _("Despite this dark subject matter, the overall tone of my story is meant to be lighthearted. Not too graphic, and never lingering too long in any particular misery.")
            text _("With that said, please exit the theater if you ever feel overwhelmed by despair. My intention is not to harm, but to entertain.")
            text _("I hope you'll enjoy the show!")
        null height 8
        text _("Signed,") xalign gui.tl_xalign3
        text _("Your playwright") xalign gui.tl_xalign2

    # if GamepadExists():
    key "button_alternate" action [ Hide("contentwarning", dissolve), Function( renpy.set_focus, "main_menu", "mmbutton" ) ]
    button:
        action [ Hide("contentwarning", dissolve), Function( renpy.set_focus, "main_menu", "mmbutton" ) ] keysym "dismiss"

    # else:
    #     button:
    #         # xsize 1000 xalign .5
    #         action Hide("contentwarning", dissolve) keysym "dismiss"
    #     key "button_alternate" action Hide("contentwarning", dissolve)

    # _("blood/gore")
    # _("decapitation")
    # _("execution")
    # _("forced captivity")
    # _("immolation")
    # _("misogyny, implied homophobia")
    # _("murder")

screen tragedynote(passage):
    add "black" alpha .7
    modal True
    add Solid("#000", xsize=gui.tragedyletter_xsize) xalign .5
    zorder 99

    on "show" action Play("music", "music/their song.ogg", fadein=.5, fadeout=.5)
    if persistent.unlockedyou:
        on "hide" action Play("music", "music/tcelesretcarahc.ogg", fadein=.5, fadeout=.5)
    else:
        on "hide" action Play("music", "music/characterselect.ogg", fadein=.5, fadeout=.5)

    vbox:
        spacing 8
        xsize gui.tragedyletter_vbox_xsize
        align (.5,.5)
        text _("My love,") style "gui_text" xalign gui.tl_xalign
        null height 8

        vbox:
            style_group "letter"
            if passage==1: #hero
                text _("It just isn't fair at all, is it? For them to force us apart like this. It's unreasonable. Cruel. I had to find an outlet for this grief somehow...")
                text _("So I decided to write. And I'll KEEP writing, until the day you find me once more. And then... maybe we could write a story together.")
                text _("I'm waiting for that day.")
            elif passage==2: #maiden
                text _("I've finally fulfilled a childhood dream of mine... Yes, that's right! I opened up my very own theater!")
                text _("You would be so proud. If you could only see it... I know how much it would've meant to you, to be at my side on opening night.")
                text _("I'm sorry for going ahead without you. But I thought... if my theater could become world-famous... Then maybe, you just might hear of it.")
                text _("Wherever you are.")
            elif passage==3: #underling
                text _("I've been feeling a little depressed lately.")
                text _("Many patrons have come to my theater, but none so far have stayed to experience every tale in its entirety.")
                text _("The critics haven't exactly been kind... but I understand. My stories aren't exactly crowd-pleasers.")
                text _("Despite that, you always listened to the very end... I'm grateful for that.")
                text _("Hope to see you again soon.")
            elif passage==4: #overlord
                text _("Do you remember when we first met?")
                text _("I had just finished one of my scripts. One I was quite proud of, in fact... As I read it aloud, you happened to pass by.")
                text _("\"What a terrible ending!\" {color=#fff}you said.{/color} \"Why should these poor fools have to die?\"") color "#FF4F80"
                text _("You were so rude. You wouldn't accept any of my justifications. And yet...")
                text _("You managed to convince me. It really WOULD be better if everyone could live in harmony... however unrealistic that felt.")
                text _("I look back fondly on that day, even now. I wonder if, somewhere, you're thinking of it too.")

        null height 8
        text _("Forever yours,") xalign gui.tl_xalign2 style "gui_text"
        text _(" TRAGEDY") xalign gui.tl_xalign2 style "gui_text"

    button:
        # xsize 1000 xalign .5
        action Hide("tragedynote", dissolve) keysym "dismiss"
    key ["button_alternate", "game_menu"] action Hide("tragedynote", dissolve)

style letter_vbox:
    spacing 8
style letter_text is gui_text:
    first_indent 18
    text_align gui.tl_text_align
    xalign gui.tl_xalign
    # button:
    #     xsize 140 xalign 0
    #     action SetScreenVariable("passage", prevpassage(passage))
    # button:
    #     xsize 140 xalign 1.0
    #     action SetScreenVariable("passage", nextpassage(passage))
