##HERO

label herostart:
    $ save_name = _("you are the hero")
    $ quick_menu = True
    $ herobehavior = []
    $ _history_list = []
    stop music fadeout .5

    scene stage select
    play sound audio.party

    show herosprite pose at actor_exit, heropos
    show maidensprite exitleft at actor_exit, maidenpos
    show underlingsprite exitright at actor_exit, underlingpos
    show overlordsprite exitright at actor_exit, overlordpos
    show curtains stageopen

    scene stage hero with Dissolve(.4)
    pause .1
    show hero start at cgresize
    show stagelight at cgresize, stagelight_reveal
    play music "music/hero song.ogg"
    show screen cuemusic("note hero_idle", _("HERO song"))
    $ block()
    h "you are the hero.{w=.2} you like to think of yourself as a pretty reliable and swell guy."
    hide stagelight
    h "your life has been rather ordinary, aside from the occasional heroic adventures fighting evil monsters and whatnot."
    h start2 "you are told a maiden from your village has been kidnapped, and is likely being held captive at the nearby demon overlord's castle."
    h start3 "who even puts a village right next to where an entire demon army hangs out? you don't get it."
    h start4 "you're happy to protect the townspeople though. you were born to play this role!"
    h start5 "you head off on your adventure to rescue the maiden..."
    h start6 "but demon soldiers block your path! you could kill them to gain experience."
    $ persistent.dutiful = True
    menu:
        "BRAVELY SLAUGHTER THE EVIL CREATURES" (behavior=_("dutiful")):
            $ herobehavior.append("slayer")
            h stronger "you make quick work of the vile creatures who stood in your way."
            h stronger2 "you feel much stronger now!"
            if "hungry" in underlingbehavior:
                jump heropart2
            if "antisocial" in overlordbehavior and "obedient" in maidenbehavior:
                jump heroandmaiden
            jump heropart2
        "FLEE LIKE A COWARD":
            h coward "forgetting your pride, you escape with your life."
            h coward2 "but you can't return home now. your reputation will be ruined!"
            h "you wonder how you'll ever be able to rescue that maiden all on your own if you can't even fight some lousy demon underlings."
            h start5 "you'll take your chances at the castle. you're a hero after all! this is your job."
            if "hungry" in underlingbehavior:
                jump heropart2
            if "antisocial" in overlordbehavior and "obedient" in maidenbehavior:
                jump heroandmaiden
            jump heropart2
label heroandmaiden:
    h hm1 "on your way to the overlord's castle, you spot a maiden heading back toward the village."
    h "she couldn't have come from the overlord's castle, could she? this may be the exact maiden you're currently seeking to rescue!"
    h "you approach her with curiosity..."
    if "slayer" in herobehavior:
        h scary "...and she runs from you for some reason. you wonder what that's all about, but then you remember you're covered in demon blood."
        h scary2 "not wanting to look like you're a crazy person chasing after her or anything, you nonchalantly walk back to town."
        jump spectatorhero

    h hm2 "you ask the maiden what she's doing. doesn't she know the overlord's castle is like, right there? it's dangerous!"
    h "the maiden explains that she spoke with the overlord, and it turns out the demons never had any diabolical plans to harm the village or anyone in it."
    $ persistent.trusting = True
    menu:
        "BELIEVE HER STORY" (behavior=_("trusting")):
            $ herobehavior.append("trusting")
            h trusting "you have no reason to assume she's lying to you. even though her story is kind of hard to believe, you feel you should trust her!"
            h "you tell her you're pretty surprised that everyone has been wrong about demons all along."
            h "the townspeople must be informed of this immediately!"
            jump heroandmaiden2
        "SHE CAN'T BE TRUSTED" (doom=True):
            h distrust "you aren't sure you should listen to this maiden. you've been taught your whole life that demons are evil!"
            h "you ask if she's sure about all this... but she gets very upset that you think she would lie to you."
            h distrust2 "she storms off before you can say anything else."
            h distrust3 "you decide to return to the village, certain that she must've been the \"kidnapped\" maiden you were sent to rescue. glad that took care of itself!"
            h "you take your time walking home. job well done today, you think to yourself."
            jump spectatorhero

label spectatorhero:
    play music "music/hero doom.ogg" fadeout 1.0
    show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
    h spectator "as you walk past the town square, you notice the whole village is crowded around... is that the maiden you saw earlier?"
    h spectator2 "she's bound to a wooden stake. the crowd is in a frenzy."
    h spectator3 "smoke begins to rise, and you stand idly by as flames consume the maiden."
    h spectator4 "she... must've done something horrible to deserve that."
    if "slayer" not in herobehavior:
        h spectator5 "she seemed nice though, you think."
        h spectator6 "...but evil comes in all forms, you reassure yourself."
    h spectator7 "you decide to call it a day and return to your house. but you can't escape this sinking feeling..."
    show dim at lightsout
    h "...maybe you aren't cut out for this role."
    stop music fadeout 1.0
    show curtains hero
    pause 1
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.spectatorhero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.spectatorhero = True
    $ achievement.grant("SPECTATOR_HERO")
    if "slayer" not in herobehavior:
        "SPECTATOR HERO END A"
    else:
        "SPECTATOR HERO END B"
    jump tryagain

label heroandmaiden2:
    h return1 "the two of you return to the village. they had all been so worried! they praise you for your bravery."
    h return2 "but the maiden quickly sets the record straight; there was nothing she needed to be rescued from in the first place."
    h return3 "the villagers look to you for explanation."
    h "you politely inform them it isn't your story to tell. you merely ran into her on the way to the castle!"
    h return4 "she explains that the overlord isn't interested in capturing maidens, or anything of the sort."
    h return5 "the villagers turn to you again in disbelief. they aren't being subtle in how little they trust this maiden's story..."
    h return6 "you totally believe her, but to placate these fair citizens, you volunteer to speak to the demons personally. juuust in case."
    h return7 "the crowd breaks into hushed whispers. you're too busy thinking what a great and reliable hero you are to hear what they're saying."
    play music "music/hero doom.ogg" fadeout 1.0
    show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
    h return8 "the town elder's voice breaks you out of your thoughts."
    h "he implores you to meet with the overlord immediately, and says they'll all keep an eye on the maiden until you return."
    h return9 "you figure that sounds alright, but the mood is kind of intense for some reason. did you miss something?"
    h "you aren't sure what's going on, but you get the feeling it might be bad to leave the maiden on her own..."
    if "resolute" in maidenbehavior:
        h resolute "as you stand there not sure what to do, the maiden announces that she's going to prove her story to the village."
        h resolute2 "she drags you along with her. she has much better odds with you around, so you don't object. adventure awaits!"
        if "disloyal" in underlingbehavior:
            stop music fadeout 2.0
            h disloyal "when you make it to the castle, you spy a group of suspicious demons hanging around near the entrance and you can't help but overhear their conversation."
            jump heropart6
        h leave3 "but about halfway there, the maiden suddenly stops. something's not right."
        h leave4 "oh. the overlord's castle is engulfed in flames."
        jump bystanderleadin
    else:
        h rescue "but she suddenly takes off running! oh, you thought the two of you were in this together...."
        h rescue2 "her actions have convinced the crowd that she's obviously been a liar and a witch from the start."
        h "people are shouting for you to hunt her and her demon friends down already... but that doesn't sound like a very heroic task!"
        h rescue3 "you can't help but feel these people are wrong. it's up to you to catch up to her, and talk to the demons in order to clear up this misunderstanding!"
        h rescue4 "you valiantly dash after the maiden, toward the overlord's castle!"
        if "disloyal" in underlingbehavior:
            if "captor" in underlingbehavior:
                h gates "when you reach the gates, you ask the demons if they've seen the maiden. they have."
                h captor "they inform you she's being held in the dungeon at the moment."
                h captor2 "she trusts them and in return, they lock her up...? so demons are truly evil beings after all."
                h captor3 "you demand they take you to her but they do not let you pass. you should've expected as much from these unreasonable creatures."
                h captor4 "you know what you must do."
                play music herobattle fadeout .2
                show screen cuemusic("note hero_idle", _("HERO battle"), delay=.2)
                h captor5 "you thrust your blade through the demon before you and rush the castle alone. you're the only one who can save the maiden now!"
                jump unluckyhero
            else:
                show dim at lightsout
                pause 1
                h "...but you were too late."
                hide dim
                h late "through the unguarded gates, you spot a group of demons surrounding a body."
                h captor2 "the maiden... she was a fool to have trusted the demons after all."
                h captor4 "your hero blood is boiling. you'll avenge her death."
                play music herobattle fadeout .2
                show screen cuemusic("note hero_idle", _("HERO battle"), delay=.2)
                h captor5 "you charge through the gates to eliminate every demon you see."
                jump unluckyhero
        else:
            h bystander "the air becomes dark and thick as you enter deep into demon territory. evil miasma...? no, you realize it's just normal smoke."
            h bystander2 "you see the maiden ahead, but she's stopped in her tracks. the overlord's castle engulfed in flames."
            h bystander3 "you had only taken an eye off the maiden for a second but she's already disappeared."
            h bystander4 "you get closer to the castle but the smoke is so thick now... you think of turning back."
            h bystander5 "the maiden might need your help... but you can barely see. she could be impossible to find."
            h "she... could have been lying to you all along."
            h bystander6 "was this a trap? would it be worth risking your life on that chance? your legs feel heavy."
            $ altend=True
            jump bystanderhero

label heropart2:
    h gates "after a long trek, you make it to the castle's front gates. you are faced with an army of demons that all look very intimidating."
    h "there's no way to sneak past these monsters if you want to reach the overlord..."
    $ persistent.dutiful = True
    menu:
        "CUT THROUGH THE DEMON ARMY" (behavior=_("dutiful")):
            play music herobattle fadeout .2
            show screen cuemusic("note hero_idle", _("HERO battle"), delay=.2)
            if "slayer" not in herobehavior:
                $ herobehavior.append("slayer")
            h stronger4 "you gather your courage... this is what must be done in order to rescue the maiden."
            h "these are all evil demons anyway! the world is much safer with them gone."
            h stronger5 "that's what you tell yourself while you kill one after another on your way to the overlord's chambers."
            if "hungry" in underlingbehavior:
                jump failedhero
            jump heropart3

        "ASK IF THEY'LL LET YOU IN" (behavior=_("diplomatic")):
            if "slayer" in herobehavior:
                h dummy "you attempt to explain why you've come, but the monster before you is eyeing you with suspicion."
                h stronger3 "they can't help but notice the demon blood from earlier you haven't had the chance to wash off yet. whoops."
                play music herobattle fadeout .2
                show screen cuemusic("note hero_idle", _("HERO battle"), delay=.2)
                h stronger4 "you have no choice but to fight the army in self-defense. oh well, more experience points for you!"
                h stronger5 "you make your way through the castle, fending off all the demons that stand in your way."
                if "hungry" in underlingbehavior:
                    jump failedhero
                h "you make it to the overlord's chamber and hope you're still in time to save the maiden."
                jump heropart3
            else:
                h diplomatic "you go up to the nearest demon and explain why you've come here. they stare you down, and you feel very uncomfortable."

            $ persistent.diplomatic = True
            $ herobehavior.append("diplomatic")
            h diplomatic2 "but they seem to trust you, and escort you directly to the overlord's chambers. that was easy!"
            if "hungry" in underlingbehavior:
                jump uselesshero
            jump heropart3

label failedhero:
    h failed "the overlord appears, demanding to know what the hell you're doing murdering all her soldiers."
    h failed2 "you get straight to the point and ask her where the maiden is."
    h failed3 "she feigns ignorance. a convincing act, but you won't be fooled."
    h failed4 "if the maiden isn't here, then what happened to her? you can see only one answer."
    h "the overlord definitely captured her... in fact, it's possible she's already been devoured."
    h failed5 "thinking about that poor maiden's fate fills you with hatred. you fight the overlord with everything you've got!"
    h failed6 "you've become strong from the hordes of demons you took down before this final battle. the overlord is almost no match for you."
    play music "music/hero lost.ogg" fadeout 1.0
    show screen cuemusic("note hero_idle", _("HERO lost"), delay=1)
    h failed7 "you cut her to pieces. the overlord has fallen."
    h failed8 "you breathe a sigh of relief... but your job is not yet finished."
    h failed9 "you search the castle. unfortunately, you find no sign of the maiden within its walls."
    h "it's just as you suspected... she must have already been devoured."
    h failed10 "you feel hollow."
    h "a great evil has been banished from this world, but what does that matter if you were too weak to save someone?"
    h loyal11 "you stand alone amidst the carnage and ponder what it means to be a hero."
    show dim at lightsout
    h "you return to the overlord's remains and wrap her head in your cape to bring back to the village. surely your great victory will be celebrated."
    ##edit: split this in two ugh
    stop music fadeout 1.0
    show curtains hero
    pause 1
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.failedhero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.failedhero = True
    $ achievement.grant("FAILED_HERO")
    "FAILED HERO END"
    jump tryagain

label uselesshero:
    play music "music/hero lost.ogg" fadeout 1.0
    show screen cuemusic("note hero_idle", _("HERO lost"), delay=1)
    h useless "the overlord is alone. you ask about the maiden, but the overlord doesn't seem to know what you're talking about."
    h useless1 "was she really never here...? you wonder what could've happened to her."
    h useless2 "the overlord says that she wishes she could help you, but you're the first human that's come here in forever. at least that she knows of."
    h "you think of how you probably shouldn't trust her, seeing as she's a demon and all... but you can't really prove she's lying either."
    h useless3 "you apologize for the intrusion, and return home to your village." id uselesshero_2fbadb16
    show dim at lightsout
    h "the maiden was never found."
    stop music fadeout 1.0
    show curtains hero
    pause 1
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.uselesshero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.uselesshero = True
    $ achievement.grant("USELESS_HERO")
    "USELESS HERO END"
    jump tryagain

label heropart3:
    if "slayer" in herobehavior:
        h entranceb "you find the maiden being held captive by the overlord, just as you suspected...!"
        h "but for some reason... you can't sense anything sinister happening?"
        show hero entrance2b
    else:
        h entrance "the overlord and maiden seemed to be in the middle of some casual conversation when you barge in."
        show hero entrance2
    h "you all look at each other in surprise and confusion. this is no time to hesitate!"
    $ persistent.heroic = True
    menu:
        "DESTROY THE OVERLORD" (behavior=_("heroic"), doom=True):
            $ herobehavior.append("coup")
            play music "music/hero doom.ogg" fadeout 1.0
            show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
            if "martyr" in maidenbehavior:
                jump loyalhero
            jump triumphanthero
        "ASK THE MAIDEN WHAT'S GOING ON":
            if "slayer" in herobehavior:
                play music "music/hero doom.ogg" fadeout 1.0
                show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
                h entrance3 "she explains that she came here on her own, and was never in any danger. she hesitantly asks why you're covered in blood."
                h entrance4 "you don't know how to respond."
                h entrance5 "the overlord moves past you and out the door..."
                h entrance6 "...to see her army in lifeless bloody piles."
                h "she's wailing. it's horrible."
                jump heropart4
            jump heropart5
label triumphanthero:
    h triumphant "you lunge forward, driving your blade through the evil overlord. she screams, then falls silent."
    h "the overlord has been slain."
    h triumphant2 "you smile, offering the maiden your hand."
    h triumphant3 "she takes it, after slight hesitation. she must be surprised at how strong you are."
    h triumphant4 "you escort the maiden home. she's oddly quiet on the trek back to the village."
    h triumphant5 "she must be too shy to speak."
    h return1 "the villagers are very pleased with what a good job you've done, slaying the overlord and saving a hostage. they throw a huge celebration in your name."
    show dim at lightsout
    h "you are remembered for generations as the greatest hero the village has ever seen."
    stop music fadeout 1.0
    show curtains hero
    pause 1
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.triumphanthero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.triumphanthero = True
    $ achievement.grant("TRIUMPHANT_HERO")
    "TRIUMPHANT HERO END"
    jump tryagain

label loyalhero:
    if "slayer" in herobehavior:
        show hero loyal1
    else:
        show hero loyal
    h "you lunge forward to put an end to the evil overlord..."
    h loyal2 "...but your blade pierces the maiden instead."
    h loyal3 "she has sacrificed herself to protect this demon."
    if "slayer" in herobehavior:
        show hero loyal4b
    else:
        show hero loyal4
    h "it takes you a moment to recover from the shock. the overlord wails..."
    show hero loyal5
    o "\"WHY DID YOU DO THAT?!\""
    h "you're not sure if the question is directed at you."
    h loyal6 "the overlord strikes at you in a vengeful rage. you parry, and she is slain."
    h loyal7 "your sword feels heavy."
    h loyal8 "you look at your hands, your clothes."
    h "blood.{w} so much blood."
    h loyal9 "you look to the fallen maiden, wondering what to tell the townspeople."
    h "why would she protect the overlord? she must have been brainwashed by demonic magic...."
    h loyal10 "you pick up the overlord's head, wrapping it in your cape..."
    if "slayer" not in herobehavior:
        show hero loyal11b
    else:
        show hero loyal11
    h "...and begin your long journey back to town." id loyalhero_a7391ae0
    h "you will say that you were too late. that nothing could be done for the girl... but the overlord is slain."
    show dim at lightsout
    h "there will be celebration."
    show curtains hero
    pause 1
    if not persistent.loyalhero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.loyalhero = True
    $ achievement.grant("LOYAL_HERO")
    "LOYAL HERO END"
    jump tryagain

label heropart4:
    h chance "this is your chance, hero!"
    $ persistent.heroic = True
    menu:
        "STAB THE OVERLORD WHILE YOU CAN" (behavior=_("heroic"), doom=True):
            $ herobehavior.append("coup")
            if "martyr" in maidenbehavior:
                jump loyalhero
            jump triumphanthero
        "THIS IS ALL JUST A BIG MISUNDERSTANDING":
            h sorry "you hope she'll let this whole thing slide if you could just explain yourself. you really try, but the overlord is inconsolable."
            h possessive4 "she tears you apart, and the maiden watches in silence."
            show dim at lightsout
            h "as you die, you can't help but think you probably deserved this."
            stop music fadeout 1.0
            show curtains hero
            pause 1
            play music "music/hero requiem.ogg"
            show screen cuemusic("note hero_idle", _("HERO requiem"))
            if not persistent.tragichero:
                $ persistent.heroends_seen += 1
                $ persistent.endings_seen += 1
            $ persistent.tragichero = True
            $ achievement.grant("TRAGIC_HERO")
            "TRAGIC HERO END"
            jump tryagain

label heropart5:
    #when you havent killed anyone you get to this part
    h entrance7 "the maiden explains that she was never actually captured, and that she came here on her own volition."
    h entrance8 "that was a pretty dangerous thing of her to do! but no one got hurt, so at least there's that."
    h entrance9 "you ask her to return to town with you, to reassure everyone of her safety."
    if "possessive" in overlordbehavior:
        play music "music/hero doom.ogg" fadeout 1.0
        show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
        h possessive1 "...but the overlord objects to this. the maiden tries to tell her that she'll come right back, but the overlord refuses to hear it."
        h possessive2 "the maiden seems nervous. as a hero, it's your job to mediate situations like these."
        h "you tell the overlord that if she doesn't let the two of you go, you'll have to assume she's evil. you'll be forced to vanquish her."
        show hero possessive3
        o "\"...you leave me no choice.\""
        h possessive4 "the overlord pauses before suddenly jumping you. you are helpless as she disembowels you with her claws."
        h "how horrible. you came all this way, only to be met with this cruel fate..."
        h "you should've destroyed these evil creatures while you had the chance."
        show dim at lightsout
        h "your dying wish is for the maiden to somehow make it out of this alive..."
        stop music fadeout 1.0
        show curtains hero
        pause 1
        play music "music/hero requiem.ogg"
        show screen cuemusic("note hero_idle", _("HERO requiem"))
        if not persistent.naivehero:
            $ persistent.heroends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.naivehero = True
        $ achievement.grant("NAIVE_HERO")
        "NAIVE HERO END"
        jump tryagain

    h leave "the overlord allows the two of you to leave, and you casually exit the castle."
    if "disloyal" in underlingbehavior:
        stop music fadeout 2.0
        h disloyal "you pause when you see a group of suspicious demons standing near the entrance."
        jump heropart6

    h leave2 "you try to make conversation with the maiden, but she's been pretty quiet since leaving the overlord's room. is she shy?"
    play music "music/hero doom.ogg" fadeout 1.0
    show screen cuemusic("note hero_idle", _("HERO doom"), delay=1)
    h leave3 "she suddenly stops in her tracks and you turn your head to ask what the deal is."
    h leave4 "oh. the overlord's castle is engulfed in flames."
    h leave5 "you can't help but feel relieved you got the maiden out of there when you did. but..."
label bystanderleadin:
    h leave6 "she suddenly takes off toward the burning castle! panic sets in, and you follow to try to stop her."
    h leave7 "the smoke is so thick... you've already lost sight of her."
    h leave8 "what is she thinking? it's too dangerous to continue. you feel hopeless."
    h leave9 "you stand alone at the castle gates. your body won't allow you to take another step forward."
    jump bystanderhero

label heropart6:
    if "demonplot" not in persistent.endmap_flags:
        $ persistent.endmap_flags.append("demonplot")
    play music insurrection
    show screen cuemusic("note overlord_idle", _("insurrection"))
    h climax "they're talking about assassinating their overlord! this proves to you that demons really are foul creatures."
    show hero climax2
    m "\"we have to tell her about this!\""
    h climax3 "you don't understand what the maiden is thinking."
    h "the world is better off with less demons. they're all cold, ruthless creatures that should be destroyed!"
    h climax4 "and those same creatures have just noticed you eavesdropping. the maiden takes off into the castle, and you have no choice but to follow."
    $ persistent.spoilers = True
    h climax5 "you burst into the overlord's room. the maiden frantically tries to communicate what you'd just overheard."
    h climax6 "a demon underling barges in next, calling you liars."
    h climax7 "it's followed by the group from the entrance, who shifts the blame back onto the little one."
    h climax8 "these demons only care about themselves! how low can they be?"
    h climax9 "you begin shouting at them, and the whole room dissolves into noise until the overlord yells for everyone to shut their traps."
    h climax10 "she threatens them with violence. this overlord is no better than her subjects."
    h climax11 "you grip your sword tightly. if you have to cut through everyone here to get this maiden to safety, you certainly will."
    h climax12 "the group of demons hiss to each other before shutting the door, leaving the runt of the litter behind."
    h climax13 "you glance around for another exit, but there isn't one. you have a terrible feeling about this."
    h climax14 "in an instant, the whole room is in flames. what kind of demonic magic is this?!"
    h climax15 "the underling pounds on the door, upset that it's been betrayed."
    h climax16 "you join it, vowing to slay the cowardly demons on the other side."
    h climax17 "the next moment, the overlord has taken hold of the underling. it's crying for mercy."
    if "merciful" in overlordbehavior:
        h "is she going to kill it as retribution? it continues to cry and make excuses, but the overlord does nothing."
        h merciful "to your surprise, she lets it go."
        h "are demons... capable of mercy? you guess it doesn't matter now."
        h merciful2 "you'll all burn together."
        stop music fadeout 2.0
        show dim at lightsout
        pause 1
        show curtains hero
        pause 1
        if not persistent.truehero:
            $ persistent.heroends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.truehero = True
        $ achievement.grant("TRUE_HERO")
        "HERO'S TRUE END"

        jump trueend_afterwards

    else:
        h retribution "she thrusts her claws into her underling's chest and it lets out a horrible scream."
        h retribution2 "you back away. you won't be the next target of her rage."
        h retribution3 "she continues to dig and twist her claws into its limp body. you can no longer watch."
        h retribution4 "you look to the maiden. she's crying, hands clasped together in prayer. to have faith in a time like this... you envy her."
        h retribution5 "the two of you, the overlord, and the underling's corpse are all consumed by flames."
        stop music fadeout 3.0
        show dim at lightsout
        pause 1
        show curtains hero
        pause 1
        play music "music/hero requiem.ogg"
        show screen cuemusic("note hero_idle", _("HERO requiem"))
        if not persistent.resignedhero:
            $ persistent.heroends_seen += 1
            $ persistent.endings_seen += 1
        $ persistent.resignedhero = True
        $ achievement.grant("RESIGNED_HERO")
        "RESIGNED HERO END"
        jump tryagain

label bystanderhero:
    h bystander7 "no... going in there would be suicide."
    h "you'll return to the villagers, and tell them there was nothing you could do."
    show dim at lightsout
    h "you were too late. the maiden was claimed by the demons."
    stop music fadeout 1.0
    show curtains hero
    pause 1
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.bystanderhero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.bystanderhero = True
    $ achievement.grant("BYSTANDER_HERO")
    if altend:
        "BYSTANDER HERO END A" #coming back from town
    else:
        "BYSTANDER HERO END B" #leaving the castle
    jump tryagain

label unluckyhero:
    show hero failed
    o "\"WHAT THE FUCK ARE YOU DOING KILLING ALL MY SOLDIERS?!\""
    h failed2 "the overlord is angry. you vow to exterminate her, and all of demonkind."
    h failed5 "you clash again and again, but the overlord isn't going down easily."
    h unlucky "you're both dangerously low on health, when..."
    stop music fadeout .2
    show dim at cgresize
    h "everything goes black. your quest has come to an abrupt end."
    show curtains hero
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    if not persistent.unluckyhero:
        $ persistent.heroends_seen += 1
        $ persistent.endings_seen += 1
    $ persistent.unluckyhero = True
    $ achievement.grant("UNLUCKY_HERO")
    "UNLUCKY HERO END"
    jump tryagain
