## WELCOME TO BAD END THEATER

define h = Character(None, image="hero", window_background="txt_heroframe", color="#FFB546")
define m = Character(None, image="maiden", window_background="txt_maidenframe", color="#C2B2EB")
define u = Character(None, image="underling", window_background="txt_underlingframe", color="#46EBFF")
define o = Character(None, image="overlord", window_background="txt_overlordframe", color="#FF4F80")
define y = Character(None, image="you", window_background="txt_yourframe")
define t = Character(None, image="tragedy", window_background="txt_tragedyframe", what_color="#000", what_outlines=[(2,"#eee",0,0),(1,"#777",0,0)])
# bad end - #C20038

define audio.insurrection = "<loop 7.37>music/insurrection.ogg"
define audio.herobattle = "<loop 6.86>music/hero battle.ogg"
define audio.party = "music/sound/party.wav"
define audio.hit = "music/sound/hit.wav"
define audio.atk = "music/sound/explode.wav"
define audio.attack = "music/sound/attack.wav"
define audio.finalatk = "music/sound/death.wav"

default persistent.endmap_flags = []


init python:

    def block():
        # blocks rollback then allows saving data in the current interaction

        config.skipping = None
        renpy.checkpoint()
        renpy.block_rollback()
        renpy.retain_after_load()

label splashscreen:
    $ achievement.sync()

    if persistent.tutorial:
        $ achievement.grant("TUTORIAL_COMPLETE")

    call checkallbehaviors from _call_checkallbehaviors
    call checkallends from _call_checkallends

    if persistent.passage1 and persistent.passage2 and persistent.passage3 and persistent.passage4:
        $ achievement.grant("LETTER_COLLECTOR")
    if persistent.yourbadend:
        $ achievement.grant("BAD_YOU")
    if persistent.yourtrueend:
        $ achievement.grant("TRUE_YOU")
    if persistent.tragedysend:
        $ achievement.grant("TRAGEDY_END")
    if persistent.totalreset:
        $ achievement.grant("TOTAL_RESET")

    scene black

    if not persistent.setlanguage:
       call screen langset
       $ persistent.setlanguage = True
       $ persistent.showmusiccues = False
       $ persistent.buttonscheme = "xbox"
       $ persistent.buttonlists = ["xbox", "nintendo", "ps"]

    show splash at truecenter:
        zoom 3
    with dissolve
    pause 2
    hide splash with fade

    return

label start:
    $ _game_menu_screen = "preferences"

    if persistent.tutorial:
        $ quick_menu = False
        stop music fadeout 2.5
        scene black
        if persistent.unlockedyou:
            scene stage burntselect
            show burntstage
        else:
            scene stage select
            show curtains stageclosed
        with Fade(1,1,.5)
    else:
        jump tutorial

label gamestart:
    python:
        herobehavior = ["slayer"]
        maidenbehavior = ["obedient"]
        underlingbehavior = ["hungry", "disloyal"]
        overlordbehavior = ["slavedriver", "antisocial"]
        party = []

        _history_list = []
        quick_menu = False
        altend = False
        yourhp = 0
        tragedydamage = 5
        partyfull = False

label selectpaths:
    $ quick_menu = False
    hide screen skiptut
    hide screen cuemusic
    hide screen hpbars #just in case
    hide screen hpbars2

    call checkallbehaviors from _call_checkallbehaviors_1

    if persistent.unlockedyou: #and not persistent.finishedyou
        jump selectburningpaths

    play music "music/characterselect.ogg"
    $ save_name = _("")

    scene stage select
    show curtains stage
    pause .3
    $ block()
    call screen charselect
    pause
    return

label selectburningpaths:
    play music "music/tcelesretcarahc.ogg"
label fromburntpaths:
    scene stage burntselect
    show curtains burntstage
    pause .3
    $ save_name = _("")
    $ block()
    call screen burningcharselect
    pause
    return

label tryagain:
    hide screen notify
    $ quick_menu = False
    $ altend = False

    if persistent.heroends_seen==11 and not persistent.passage1:
        stop music fadeout 1.0
        scene stage select
        show curtains stageclosed
        with dissolve
        y "a letter flutters down from beyond the curtain..."
        play sound "music/sound/start.wav"
        y "you found {color=#FFB546}lost letter #1{/color}."
        $ persistent.passage1 = True

    if persistent.maidenends_seen==11 and not persistent.passage2:
        stop music fadeout 1.0
        call maidenletter from _call_maidenletter

    if persistent.underlingends_seen==9 and not persistent.passage3:
        stop music fadeout 1.0
        scene stage select
        show curtains stageclosed
        with dissolve
        y "a letter flutters down from beyond the curtain..."
        play sound "music/sound/start.wav"
        y "you found {color=#46EBFF}lost letter #3{/color}."
        $ persistent.passage3 = True

    if persistent.overlordends_seen==10 and not persistent.passage4:
        stop music fadeout 1.0
        scene stage select
        show curtains stageclosed
        with dissolve
        y "a letter flutters down from beyond the curtain..."
        play sound "music/sound/start.wav"
        y "you found {color=#FF4F80}lost letter #4{/color}."
        $ persistent.passage4 = True

    if persistent.passage1 and persistent.passage2 and persistent.passage3 and persistent.passage4:
        $ achievement.grant("LETTER_COLLECTOR")

    menu:
        "RESET THE STAGE":
            stop music fadeout .3
            scene stage select
            show curtains stageclosed
            with Dissolve(.3)
            jump selectpaths
        "EXIT THE THEATER":
            stop music fadeout 2.0
            scene black with Fade(1.5,0,1)
            $ renpy.full_restart(transition=False, label='_invoke_main_menu', target='_main_menu')

label maidenletter:
    scene stage select
    show curtains stageclosed
    with dissolve
    y "a letter flutters down from beyond the curtain..."
    play sound "music/sound/start.wav"
    y "you found {color=#C2B2EB}lost letter #2{/color}."
    $ persistent.passage2 = True
    return

label trueend_afterwards:
    if not persistent.firsttrueend:
        jump firsttrueend
    if not persistent.secondtrueend:
        jump secondtrueend
    jump tryagain

label firsttrueend:
    scene stage select
    show curtains stageclosed
    with dissolve
    y "...before you're taken back to reset the story once again, you pause for a moment."
    y "\"true end?\" you say to yourself. \"what was the point of all my effort if the true ending is this terrible?!\""
    y "you must've forgotten where you were..."
    show you reveal at cgresize behind curtains:
        easein 1.18 yoffset -16
        easein 1.18 yoffset 0
        repeat
    show curtains stage
    play music "music/your tragedy.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR tragedy"))
    y "this is BAD END THEATER!"
    y "is the pain setting in? ohhh, but you should've been well aware of what you'd be shown when you entered this place!"
    y "it's a problem i've seen quite often..."
    y "at some point, you grew attached to my little cast. you started to relate to their flaws, their plights..."
    y "you started wishing for their happiness."
    y "but you aren't going to find that here in MY theater! my lovingly crafted labyrinth of suffering!"

    if persistent.endings_seen == 3:
        y "...hm? actually, it looks like you found the optimal path to the first true end!"
        y "you're either extremely lucky, or you know exactly what you're doing..."
    elif persistent.endings_seen <= 8:
        y "...oh! come to think of it, you reached the first true end very quickly! i'm impressed..."
        y "but there's no need to rush. please, take your time while exploring all the horrible possibilities!"

    y "anyway, i hope you'll pardon the interruption. you're making great progress!"
    y "the choice to continue on to the next ending is always yours..."
    y "i'll leave you to it, dear guest."
    show curtains stageshut
    stop music fadeout 2.0
    pause .3
    $ persistent.firsttrueend = True

    jump tryagain

label secondtrueend:
    scene stage select
    show curtains stageclosed
    with dissolve
    y "no matter the perspective... the true ending remains the same. that's what makes it true!"
    y "you couldn't resist seeing it for yourself though, could you?"
    y "i wonder what will happen when you collect them all."
    y "will you give in to despair? or...?"
    $ persistent.secondtrueend = True
    jump tryagain


label burninghero:
    scene stage burntselect
    show herosprite burnt at actor_exit, heropos
    show maidensprite burnt at actor_exit, maidenpos
    show underlingsprite burnt at actor_exit, underlingpos
    show overlordsprite burnt at actor_exit, overlordpos
    show yoursprite idle at actor_exit, yourpos
    scene stage burntselect with Dissolve(.4)

    show you burnt1 behind curtains at cgresize with Dissolve(.4)
    y "the hero is burning."
    jump burningend

label burningmaiden:
    scene stage burntselect
    show herosprite burnt at actor_exit, heropos
    show maidensprite burnt at actor_exit, maidenpos
    show underlingsprite burnt at actor_exit, underlingpos
    show overlordsprite burnt at actor_exit, overlordpos
    show yoursprite idle at actor_exit, yourpos
    scene stage burntselect with Dissolve(.4)

    show you burnt2 behind curtains at cgresize with Dissolve(.4)
    y "the maiden is burning."
    jump burningend

label burningunderling:
    scene stage burntselect
    show herosprite burnt at actor_exit, heropos
    show maidensprite burnt at actor_exit, maidenpos
    show underlingsprite burnt at actor_exit, underlingpos
    show overlordsprite burnt at actor_exit, overlordpos
    show yoursprite idle at actor_exit, yourpos
    scene stage burntselect with Dissolve(.4)

    show you burnt3 behind curtains at cgresize with Dissolve(.4)
    y "the underling is burning."
    jump burningend

label burningoverlord:
    scene stage burntselect
    show herosprite burnt at actor_exit, heropos
    show maidensprite burnt at actor_exit, maidenpos
    show underlingsprite burnt at actor_exit, underlingpos
    show overlordsprite burnt at actor_exit, overlordpos
    show yoursprite idle at actor_exit, yourpos
    scene stage burntselect with Dissolve(.4)

    show you burnt4 behind curtains at cgresize with Dissolve(.4)
    y "the overlord is burning."
    jump burningend

label burningend:
    show curtains burning
    pause .4
    menu:
        "CHOOSE ANOTHER ROLE":
            jump fromburntpaths


label yourturn:
    stop music fadeout 1.5
    $ save_name = _("you are...")

    $ quick_menu = False
    $ block()

    scene stage select
    show curtains stageclosed
    with dissolve

    if persistent.yourbadend:
        t "\"SO YOU'RE BACK... ARE YOU READY TO CHALLENGE ME ONCE MORE?\""
        menu:
            "I WILL FIND MY TRUE ENDING!":
                $ persistent.unlockedyou = True
                scene stage burntselect
                with fade
                $ quick_menu = True
                jump finalbattlestart
            "NOT YET...":
                t "\"HMHMHM... TAKE YOUR TIME COLLECTING ALL OF MY ENDINGS!\""
                jump selectpaths

    menu:
        "IT CAN'T END LIKE THIS...":
            $ quick_menu = True
            y "you want to answer the maiden's prayers. you've decided to find a way to save everyone!"
            y "but retracing the paths you've seen so far, there doesn't seem to be any room to avoid a bad ending..."
            y "is there really nothing you can do to keep them all from getting killed in the end?"
            y "...."
            y "if there's nothing you can do by acting from within their story..."
            y "...maybe it's time to take things into your own hands."
            $ quick_menu = False
            scene stage burntselect
            show burntstage
            with Dissolve(1)
            $ persistent.unlockedyou = True
            jump selectburningpaths
        "KEEP COLLECTING BAD ENDINGS FOR NOW" if persistent.endings_seen<41:
            $ quick_menu = False
            jump selectpaths

label youstart:
    stop music fadeout .5
    $ save_name = _("you are... you?")
    $ party = []
    $ quick_menu = True

    scene stage burntselect
    play sound audio.party

    show herosprite burnt at actor_exit, heropos
    show maidensprite burnt at actor_exit, maidenpos
    show underlingsprite burnt at actor_exit, underlingpos
    show overlordsprite burnt at actor_exit, overlordpos
    show yoursprite pose at actor_exit, yourpos

    scene stage burntselect with Dissolve(.4)
    pause .1
    show you start at cgresize
    show stagelight at cgresize, stagelight_reveal

    play music "music/your song.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR song"))
    $ block()
    y "you boldly insert yourself into the story, and use your incredible power to warp everyone to safety!"
    y start2 "you didn't know you could do that! but what's going on here...?"
    y start3 "you take a moment to get a good look at yourself."
    y "you are... you. but why are you pitch-black? you feel that this body doesn't accurately represent you, but you move past it."
    y start4 "the hero, maiden, underling, and overlord have been staring at you too."
    y start5 "they look like they don't really know what they're supposed to do right now. you guess that's because you're usually the one guiding them."
    y start4 "what will you say to them?"
    menu:
        "\"hi guys\"":
            y friendly "you smile awkwardly and introduce yourself. the maiden is the first to respond."
        "\"i've come to save you!\"":
            y explain "you explain to the group that you've witnessed their many terrible intertwining fates, and now you're searching for a good ending!"
            y "of course, this makes no sense to any of them. only the maiden understands your compassion."

    show you start6
    m "\"my prayers have been answered...! you must be...\""
    y start7 "her god? no... you're merely the player."
    y start8 "if there was any god here, they'd be the final boss. that's just how these role-playing games go..."
    stop music fadeout 2.0
    y start9 "now you realize what the REAL true ending must be!"
    play music "music/your tragedy.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR tragedy"))
    show you tragedy
    t "\"NOW, NOW, NOW. ENOUGH OF THIS.\""
    t "\"I ADMIT I'VE BEEN ENCOURAGING YOU ALL ALONG, BUT A SELF-INSERT STORY? HOW PASSE...\"" #É
    y tragedy2 "you watch helplessly as TRAGEDY descends from the heavens."
    y "...you didn't honestly believe you were the only one who could force your way onto this stage, did you?"
    show you tragedy3
    t "\"I AM THE NARRATOR, STORYTELLER, GOD OF THIS WORLD! CALL ME TRAGEDY, IF YOU'D LIKE.\""
    y tragedy4 "darkness envelops your party. you don't mind if i send each of them back to relive one of their many bad endings, right?"
    y tragedy5 "you are alone in the darkness with me, TRAGEDY."
    t "\"I SINCERELY HOPE YOU'VE BEEN ENJOYING YOUR TIME IN MY THEATER!\""
    t "\"...THOUGH I CAN'T ABIDE YOU STEALING THE SHOW WITHOUT PERMISSION. IT'S QUITE DISRESPECTFUL.\""

    menu:
        "I'M SICK OF ALL THESE BAD ENDINGS!":
            show you tragedy3b
            t "\"THEN, FRANKLY, YOU SHOULD NEVER HAVE COME TO A PLACE CALLED 'BAD END' THEATER! HAVEN'T WE ALREADY BEEN OVER THIS?\""
        "I WANT TO SEE SOMETHING NEW!":
            show you tragedy3b
            t "\"ARE YOU TRYING TO SAY MY BAD ENDINGS HAVE GONE OUT OF STYLE? YOU HAVE SOME NERVE.\""

    y tragedy6 "you think defeating me might just be the only way to see a better ending..."
    y "it's all that's left for you, isn't it?"
    show you tragedy7
    t "\"WELL, THIS DOES SOUND LIKE IT COULD BE ENTERTAINING! SHOW ME WHAT YOU'VE GOT!!\""

    menu:
        "TIME TO FIGHT GOD...!":
            stop music fadeout 2.0

    show dim at lightsout
    pause 1
    hide you
    hide dim
    pause 1
label finalbattlestart:
    show btlyou idle at party_enter:
        pos (330,312)
    show tragedy battle1 at fighter_enter
    with dissolve
    play music "music/your finalbattle.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR final battle"))
    y "the stage is set for your final battle against me, the god of this world."

    if persistent.yourbadend:
        jump mymove

    y "what will you do? how will you fight against TRAGEDY itself? i'd love to see it."
    $ youmoved = False

label yourmove:
    menu:
        "ATTACK":
            hide btlyou
            show btlyou attack at party_enter:
                pos (630,315)
            y "you try your best to tear me down, but you can't seem to do any damage. you don't truly exist in this world, after all."
            pass
        "DEFEND":
            hide btlyou
            show btlyou defend at party_enter:
                pos (330,312)
            y "you try closing off your heart to protect yourself... but it doesn't make you feel any better."
            pass

    if not youmoved:
        t "\"OH, IS THAT ALL? YOU'LL NEVER DEFEAT ME LIKE THAT.\""
        hide btlyou
        show btlyou idle at party_enter:
            pos (330,312)
        menu:
            "WAIT, LET ME TRY THAT AGAIN!":
                $ youmoved = True
                jump yourmove
            "YOU'RE RIGHT...":
                pass

    t "\"PERHAPS YOU DON'T UNDERSTAND JUST HOW OUTCLASSED YOU ARE HERE...\""

label mymove:
    hide tragedy
    hide btlyou
    show tragedy_v2_ribbons_lower at bosspos, topright
    show tragedy_v2_cape at bosspos, topright
    show tragedy_v2_ribbons_upper at bosspos, topright
    show tragedy_v2_body at bosspos, topright
    show btlyou idle at party_enter:
        pos (330,312)
    with Fade(.2,.1,.15)
    t "\"BEHOLD, MY BEAUTIFULLY TRAGIC TALES!\""
    show btlyou down
    t "\"DOESN'T SEEING THEM ALL AGAIN MAKE YOUR HEART ACHE?\""
    if persistent.endings_seen==41:
        y "you've witnessed all 41 of my painstakingly crafted endings. you must be as much of a masochist as me!"
        t "\"I COMMEND YOUR THOROUGHNESS. SURELY THESE CHARACTERS HAVE A SPECIAL PLACE IN YOUR HEART!\""
    else:
        y "you've witnessed [persistent.endings_seen] of my painstakingly crafted endings. your heart does indeed ache for these characters..."
        t "\"HOW COULD YOU WANT TO PUT AN END TO ALL THIS? DO YOU TRULY CARE FOR THEM THAT MUCH?\""
    t "\"THEY'RE STILL SUFFERING BACKSTAGE, YOU KNOW. IT'S A SHAME THEY COULDN'T MAKE IT HERE, TO THE END OF THE WORLD...\""
    y "that's right... you came here to save them."
    show btlyou idle
    y "you can't do this alone."

    python:
        party = []
        herobehavior = ["slayer"]
        maidenbehavior = ["obedient"]
        underlingbehavior = ["hungry", "disloyal"]
        overlordbehavior = ["slavedriver", "antisocial"]

        yourhp = persistent.endings_seen
        tragedydamage = 5

    $ quick_menu = False
    $ block()
    show screen hpbars
    call screen battlemenu

label finalbattle:
    $ quick_menu = False
    call battlesetup from _call_battlesetup
    show screen hpbars
    call screen battlemenu

    jump finalbattle

label savehero:
    stop music fadeout 1.0
    hide screen hpbars
    $ block()
    scene stage hero with fade
    play music "music/hero requiem.ogg"
    show screen cuemusic("note hero_idle", _("HERO requiem"))
    show you savehero at cgresize
    with dissolve
    $ quick_menu = True
    y "you find the hero in his home, hunched over a sewing table."
    y "your sudden intrusion scares the hell outta the poor guy."
    show you savehero1 with Dissolve(.4)
    h "\"a-are you some kind of demon?!\""
    y "you explain that no, you're not a demon. you're... how can you explain it in a way the hero can understand?"
    y "instead, you ask what he's sewing."
    show you savehero2
    h "\"oh, this? i craft all my own hero gear.\""
    y "you sense his pride in his hobby. you wonder if the costumes are what attracted him to the role of \"hero\"..."
    show you savehero3
    h "\"would you like some clothes? you don't seem to be wearing any...\""
    y "you remember the state of your body and decide that yes, some clothes from the hero would be nice."
    show you savehero4
    y "he is overjoyed by your answer. apparently his outfits are too gaudy for the other townsfolk, so no one else wants them."
    y "the true end for the hero suddenly becomes clear..."
    y "you offer to change his fate."
    # show you savehero2
    h "\"i could make a living as a tailor, rather than a hero...? please, tell me what i can do to reach that dream!\""
    stop music fadeout 3.0
    show dim at lightsout
    y "the hero will now fight alongside you."
    $ party.append("hero")
    $ tragedydamage -= 1
    $ block()
    scene black with dissolve
    play music "music/your finalbattle.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR final battle"))
    call battlesetup from _call_battlesetup_1
    h "\"i agreed to follow you, but... i didn't expect to face something like this!\""
    t "\"THE HERO HAS ARRIVED! WE REALLY COULDN'T HAVE A FINAL BOSS BATTLE WITHOUT HIM.\""
    h "\"you're the one who's been killing us... murderer! i can't truly call myself a hero until i see you defeated!\""
    t "\"WE'LL SEE ABOUT THAT...\""
    y "TRAGEDY attacks with a terrible fate!"
    jump tragedyattacks_hero

label savemaiden:
    stop music fadeout 1.0
    hide screen hpbars
    $ block()
    scene stage maiden with fade
    play music "music/maiden requiem.ogg"
    show screen cuemusic("note maiden_idle", _("MAIDEN requiem"))
    show you savemaiden at cgresize
    with dissolve
    $ quick_menu = True
    y "you happen to find the maiden as she exits the church, her heart set on meeting a demon."
    y "perfect timing! she approaches you, having already taken notice of your odd form."
    show you savemaiden1 with Dissolve(.4)
    m "\"excuse me, are you a traveler? i've never seen anyone like you before.\""
    y "you explain that no, you're not a traveler. well, maybe you are, in a sense. you've come all this way..."
    y "the maiden regards you with excited curiosity."
    show you savemaiden3
    m "\"then perhaps you might be a demon? i was hoping i would meet one today!\""
    y "you think of all the terrible fates that hope would bring about. she is the catalyst of this story after all."
    show you savemaiden2
    m "\"my role as a maiden is to be captured by the overlord. but you see, i've grown so tired of waiting...\""
    y "you remember this part. she wanted to understand her role better, and so..."
    y "you ask what it is that she's really hoping to gain from this."
    show you savemaiden4
    y "the maiden is confused by your question. perhaps it was as simple as wanting to reach the place she felt like she belonged."
    y "the true end for this maiden suddenly becomes clear..."
    y "you offer to change her fate."
    show you savemaiden1
    m "\"if there's something i can do to find fulfillment... then please, guide me!\""
    stop music fadeout 3.0
    show dim at lightsout
    y "the maiden will now fight alongside you."
    $ party.append("maiden")
    $ tragedydamage -= 1
    $ block()
    scene black with dissolve
    play music "music/your finalbattle.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR final battle"))
    call battlesetup from _call_battlesetup_2
    m "\"what is this horrible creature...?!\""
    t "\"YOU WOUND ME, DEAR MAIDEN! IS TRAGEDY REALLY SUCH A TERRIBLE THING TO BEHOLD?\""
    m "\"i remember now... i remember all the awful things you put us through!\""
    t "\"THEN THIS SHOULD BE FAMILIAR TO YOU AS WELL.\""
    y "TRAGEDY attacks with a terrible fate!"
    jump tragedyattacks_maiden

label saveunderling:
    stop music fadeout 1.0
    hide screen hpbars
    $ block()
    scene stage underling with fade
    play music "music/underling requiem.ogg"
    show screen cuemusic("note underling_idle", _("UNDERLING requiem"))
    show you saveunderling at cgresize
    with dissolve
    $ quick_menu = True
    y "you approach the gates of the overlord's castle. the underling is on guard duty, as you expected."
    y "they call out to you. the other demon guard is sound asleep."
    show you saveunderling1 with Dissolve(.4)
    u "\"hey, you're a pretty weird-looking intruder. what do you want?\""
    y "you explain that no, you're not an intruder. although you're definitely intruding into their story right now..."
    y "you tell the underling you've come to save them from TRAGEDY."
    show you saveunderling3
    u "\"ok. try saving me from boredom first. i hate this job!\""
    y "the underling snickers. you ask what kind of job they'd rather have."
    show you saveunderling2
    u "\"it'd be best if i didn't have to work at all. i just wanna live a carefree life, and never get bossed around or picked on!\""
    y "you think of the underling's friends, who had bullied them into an assassination plot only to betray them in the end."
    y "if they kept better company, maybe they wouldn't feel so restless."
    y "the true end for the underling suddenly becomes clear..."
    y "you offer to change their fate."
    show you saveunderling1
    u "\"so there's a way that even work can be fun...? sounds fake, but i'll tag along with you just in case!\""
    stop music fadeout 3.0
    show dim at lightsout
    y "the underling will now fight alongside you."
    $ party.append("underling")
    $ tragedydamage -= 1
    $ block()
    scene black with dissolve
    play music "music/your finalbattle.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR final battle"))
    call battlesetup from _call_battlesetup_3
    u "\"wait, what the fuck? you didn't say anything about a boss battle!\""
    t "\"THE UNDERLING, HM? YOU MUST BE DESPERATE TO CALL ON SUCH AN UNRELIABLE ALLY.\""
    u "\"huh... if i beat this guy up, all my problems will be over...\""
    t "\"OH, BUT IT WON'T BE THAT EASY!\""
    y "TRAGEDY attacks with a terrible fate!"
    jump tragedyattacks_underling

label saveoverlord:
    stop music fadeout 1.0
    hide screen hpbars
    $ block()
    scene stage overlord with fade
    play music "music/overlord requiem.ogg"
    show screen cuemusic("note overlord_idle", _("OVERLORD requiem"))
    $ block()
    show you saveoverlord at cgresize
    with dissolve
    $ quick_menu = True
    y saveoverlord "you enter the overlord's room, relieved to see the fire contained to the torches on the walls."
    y "when you close the door behind you, the overlord rises from her slumber."
    show you saveoverlord1 with Dissolve(.4)
    o "\"who are you? have you come to reside in my castle and serve me?\""
    y "you explain that no, you're not here to serve her. it's more like you've come to do her a favor."
    y "you ask why she spends all day sleeping instead of commanding her demon army. she laughs in response."
    show you saveoverlord2
    o "\"many of my underlings certainly think i should be more aggressive with the humans, like my father before me.\""
    show you saveoverlord3
    o "\"his quest for revenge was endless and self-perpetuating. there's a reason i had to destroy him...\""
    y "you can't help but think it's a little late in the game to be getting some new backstory."
    show you saveoverlord4
    o "\"i have no interest in waging war on the humans. i merely wish to be left alone, to live a peaceful, indulgent life in my castle.\""
    y "you realize she must actually be very lonely, only surrounded by soldiers instead of friends."
    y "no wonder she gets so attached to the maiden."
    y "the true end for the overlord suddenly becomes clear..."
    y "you offer to change her fate."
    show you saveoverlord1
    o "\"my own attempts at peace have been rather imperfect... if you offer a solution, then very well. i will follow you.\""
    stop music fadeout 3.0
    show dim at lightsout
    y "the overlord will now fight alongside you."
    $ party.append("overlord")
    $ tragedydamage -= 1
    $ block()
    scene black with dissolve
    play music "music/your finalbattle.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR final battle"))
    call battlesetup from _call_battlesetup_4
    o "\"i see... so this is TRAGEDY...\""
    t "\"AHH, YOU'VE BROUGHT THE OVERLORD! I DON'T STAND A CHANCE NOW!\""
    o "\"you've prevented me from attaining peace for long enough. prepare to die!\""
    t "\"HA HA HA... I HOPE YOU'RE PREPARED TO FACE YOUR DEATHS AS WELL.\""
    y "TRAGEDY attacks with a terrible fate!"
    jump tragedyattacks_overlord

label battlesetup:
    scene stage burntselect with dissolve

    show tragedy_v2_ribbons_lower at bosspos, topright
    show tragedy_v2_cape at bosspos, topright
    show tragedy_v2_ribbons_upper at bosspos, topright
    show tragedy_v2_body at bosspos, topright

    show btlyou idle at party_enter:
        pos (330,312)
    if "underling" in party:
        show btlunderling idle at party_enter:
            pos (510,333)
    if "hero" in party:
        show btlhero idle at party_enter:
            pos (388,316)
    if "overlord" in party:
        show btloverlord idle at party_enter:
            pos (120,275)
    if "maiden" in party:
        show btlmaiden idle at party_enter:
            pos (90,300)

    if yourhp <= 0:
        jump yourbadend

    return

label heroturn:
    $ quick_menu = True
    if "justice" in herobehavior:
        y "the hero tries using his belief in justice to fight TRAGEDY!"
        t "\"THAT JUSTICE APPLIES TO YOU TOO, DOES IT NOT? WILL YOU PAY FOR YOUR OWN MISDEEDS?\""
        $ tragedydamage += 1
        $ herobehavior.remove("justice")
        jump tragedystrike_hero
    elif "willpower" in herobehavior:
        h "\"your reign of terror ends here, TRAGEDY! i refuse to give in!!\""
        play sound audio.party
        show cutin hero at battle_cutin
        y "the hero uses his willpower to overcome TRAGEDY!"
        show screen hpbars2("tragedyhp bar1")
        jump tragedydamage
    else:
        jump tragedyattacks_hero

label maidenturn:
    $ quick_menu = True
    if "kindness" in maidenbehavior:
        y "the maiden tries to appeal to TRAGEDY with kindness!"
        t "\"SO NAIVE. I'LL BALANCE YOUR KINDNESS WITH MY CRUELTY!\""
        $ tragedydamage += 1
        $ maidenbehavior.remove("kindness")
        jump tragedystrike_maiden
    elif "hope" in maidenbehavior:
        m "\"our TRUE endings do exist, they simply must...!\""
        play sound audio.party
        show cutin maiden at battle_cutin
        y "the maiden hopes with all her heart to overcome TRAGEDY!"
        show screen hpbars2("tragedyhp bar2")
        jump tragedydamage
    else:
        jump tragedyattacks_maiden

label underlingturn:
    $ quick_menu = True
    if "mischief" in underlingbehavior:
        y "the underling tries to evade TRAGEDY through mischievous means!"
        t "\"YOU'RE SO MUCH FUN! WOULD YOU LIKE A REMINDER OF WHERE THAT MISCHIEF WILL LEAD YOU?\""
        $ tragedydamage += 1
        $ underlingbehavior.remove("mischief")
        jump tragedystrike_underling
    elif "tenacity" in underlingbehavior:
        u "\"knock me down and i'll just come back stronger!\""
        play sound audio.party
        show cutin underling at battle_cutin
        y "the underling uses their tenacity to overcome TRAGEDY!"
        show screen hpbars2("tragedyhp bar3")
        #oof!
        jump tragedydamage
    else:
        jump tragedyattacks_underling

label overlordturn:
    $ quick_menu = True
    if "brutality" in overlordbehavior:
        y "the overlord tries to fight TRAGEDY with sheer brutality!"
        t "\"OH, HAS VIOLENCE REALLY BEEN WORKING OUT FOR YOU SO FAR? I'LL SHOW YOU MY OWN BRUTALITY!\""
        $ tragedydamage += 1
        $ overlordbehavior.remove("brutality")
        jump tragedystrike_overlord
    elif "ambition" in overlordbehavior:
        o "\"i'll reach my TRUE ending with my own power!\""
        play sound audio.party
        show cutin overlord at battle_cutin
        y "the overlord uses her ambitious nature to overcome TRAGEDY!"
        show screen hpbars2("tragedyhp bar4")
        jump tragedydamage
    else:
        jump tragedyattacks_overlord

label tragedydamage:
    $ quick_menu = False
    hide cutin
    play sound atk
    show tragedyhitframe at tragedyhit
    pause 1
    hide tragedyhitframe
    hide screen hpbars2
    show screen hpbars
    #
    if "willpower" in herobehavior and "hope" in maidenbehavior and "tenacity" in underlingbehavior and "ambition" in overlordbehavior:
        jump tragedydefeat
    else:
        y "TRAGEDY is reeling!"
        call screen battlemenu
        jump finalbattle

###TRAGEDY ATTACKS
#strike = retaliation for incorrect behavior

label tragedyattacks_hero:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack hero ribbons at ribbonresize
    pause .4
    show attack2 hero ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.bystanderhero:
        show hero leave9 at tragedyattack
    elif persistent.unluckyhero:
        show hero unlucky at tragedyattack
    else:
        show hero useless3 at tragedyattack

    pause 1
    jump takedamage

label tragedystrike_hero:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack hero ribbons at ribbonresize
    pause .4
    show attack2 hero ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.loyalhero:
        show hero loyal11 at tragedyattack
    elif persistent.spectatorhero:
        show hero spectator5 at tragedyattack
    else:
        show hero failed10 at tragedyattack

    pause 1
    jump takedamage

label tragedyattacks_maiden:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack maiden ribbons at ribbonresize
    pause .4
    show attack2 maiden ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.escapedmaiden or persistent.capturedmaiden:
        show maiden possessive5 at tragedyattack
    elif persistent.complacentmaiden:
        show maiden complacent5b at tragedyattack
    else:
        show maiden consumed2 at tragedyattack

    pause 1
    jump takedamage

label tragedystrike_maiden:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack maiden ribbons at ribbonresize
    pause .4
    show attack2 maiden ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.executedmaiden:
        show maiden executed8 at tragedyattack
    elif persistent.sacrificialmaiden:
        show maiden martyr2 at tragedyattack
    else:
        show maiden selfless9 at tragedyattack

    pause 1
    jump takedamage

label tragedyattacks_underling:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack underling ribbons at ribbonresize
    pause .4
    show attack2 underling ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.faithfulunderling:
        show underling faithful2 at tragedyattack
    elif persistent.victoriousunderling:
        show underling battle7 at tragedyattack
    else:
        show underling scheming6 at tragedyattack

    pause 1
    jump takedamage

label tragedystrike_underling:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack underling ribbons at ribbonresize
    pause .4
    show attack2 underling ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.cowardlyunderling:
        show underling coward8 at tragedyattack
    elif persistent.lordunderling:
        show underling lord at tragedyattack
    else:
        show underling deserter at tragedyattack

    pause 1
    jump takedamage

label tragedyattacks_overlord:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack overlord ribbons at ribbonresize
    pause .4
    show attack2 overlord ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.vengefuloverlord:
        show overlord vengeful4 at tragedyattack
    elif persistent.slainoverlord:
        show overlord slain at tragedyattack
    else:
        show overlord assassinated2 at tragedyattack

    pause 1
    jump takedamage

label tragedystrike_overlord:
    hide screen hpbars
    $ quick_menu = False
    play sound audio.attack
    show attack overlord ribbons at ribbonresize
    pause .4
    show attack2 overlord ribbons at ribbonresize
    pause .2
    scene stage burntselect with Dissolve(.4)

    if persistent.wrathfuloverlord:
        show overlord sorry2 at tragedyattack
    else:
        show overlord conquered6 at tragedyattack

    pause 1
    jump takedamage

label takedamage:
    $ yourhp -= tragedydamage
    if yourhp < 0:
        $ yourhp = 0

    call battlesetup from _call_battlesetup_5
    show screen hpbars
    play sound hit
    show tragedyhityou at tragedyhit
    pause .8

    if not partyfull:
        if "hero" in party and "maiden" in party and "underling" in party and "overlord" in party:
            $ quick_menu = True
            t "\"HA HA HA! NOW THAT THE WHOLE PARTY'S HERE, CAN YOU SOLVE MY FINAL PUZZLE?\""
            t "\"WHICH COMBINATION OF BEHAVIORS WILL OPEN THE PATH TO YOUR TRUE ENDING? SHOW ME!\""

            $ partyfull = True
            $ quick_menu = False

    $ block()
    call screen battlemenu

    #just in case
    jump finalbattle

label yourbadend:
    play sound hit
    stop music fadeout 3.0
    show btlyou down
    $ block()

    $ quick_menu = True
    y "your HP has run out..."
    y "you are overcome by TRAGEDY."
    hide screen hpbars
    scene black with Dissolve(2)

    t "\"IF YOU WISH TO CHALLENGE ME AGAIN, COLLECT MORE BAD ENDINGS!\""
    y "you'll be able to reach this path again through the maiden's true end."
    t "\"I'LL BE WAITING!\""

    $ persistent.unlockedyou = False
    $ persistent.yourbadend = True

    python:
        party = []
        herobehavior = ["slayer"]
        maidenbehavior = ["obedient"]
        underlingbehavior = ["hungry", "disloyal"]
        overlordbehavior = ["slavedriver", "antisocial"]

    $ quick_menu = False
    scene stage select
    show curtains stageclosed
    with Dissolve(1)
    play music "music/your requiem.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR requiem"))
    $ achievement.grant("BAD_YOU")
    "YOUR BAD END"

    jump tryagain

label tragedydefeat:
    y "this is it...! with everyone's hearts united, you take aim... toward your best possible futures!"
    show screen tragedylifebar
    hide screen hpbars
    play sound audio.party
    show hero finalattack at final_cutin
    pause .08
    show maiden finalattack at final_cutin
    pause .08
    show underling finalattack at final_cutin
    pause .08
    show overlord finalattack at final_cutin
    y "you all unleash one final attack to destroy TRAGEDY once and for all!"
    hide hero
    hide maiden
    hide underling
    hide overlord
    play sound finalatk
    $ block()
    # $ quick_menu = False
    stop music fadeout 4.0
    show light2 at lightson
    show screen hpbars3
    hide screen tragedylifebar
    show tragedyhp:
        xalign 1.0 yalign .58
    pause 2
    hide screen hpbars3
    pause .2
    show tragedyhp0:
        xalign 1.0 yalign .58
    pause .2
    hide tragedyhp0
    pause .2
    show tragedyhp0:
        xalign 1.0 yalign .58
    pause .2
    hide tragedyhp0
    pause .2
    show tragedyhp0:
        xalign 1.0 yalign .58

    scene light2
    with Dissolve(2)

    $ persistent.bossclear = True

label tragedydefeated:
    $ _game_menu_screen = "preferences"
    stop music fadeout 1.0
    scene gray
    show stage trueend
    show you win at cgresize
    with fade
    $ quick_menu = True
    play music "music/your ending.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR ending"))
    $ block()
    t "\"HA...HA HA HA! YOU'VE DONE IT! YOU'VE MANAGED TO DEFEAT ME!\""
    t "\"A TRAGIC ENDING FOR TRAGEDY ITSELF! I LOVE IT...! I MUST THANK YOU ALL FOR FULFILLING YOUR ROLES PERFECTLY!\""
    #play sound applause
    show you win2
    show credit hero
    show credit2 hero
    t "\"THANK YOU, HERO!\""
    show you win3
    show credit maiden
    show credit2 maiden
    t "\"THANK YOU, MAIDEN!\""
    show you win4
    show credit underling
    show credit2 underling
    t "\"THANK YOU, UNDERLING!\""
    show you win5
    show credit overlord
    show credit2 maiden
    t "\"THANK YOU, OVERLORD!\""
    show you win5a
    o "\"enough of this nonsense! we defeated you, so die already!\""
    show you win6
    show credit tragedy
    show credit2 tragedy
    t "\"DON'T WORRY, I'LL BE MAKING MY EXIT SHORTLY...\""
    hide credit2
    show you win7
    show credit you
    t "\"FINALLY, THANK YOU MOST OF ALL! WE COULDN'T HAVE MADE IT HERE WITHOUT YOU!\""
    hide credit
    show you win8
    t "\"YES, MY 'BAD END' THEATER DID CONTAIN A TRULY GOOD ENDING AFTER ALL... I APOLOGIZE FOR ANTAGONIZING YOU FOR SO LONG.\""
    t "\"I WANTED TO DELIVER A SATISFYING STORY... WAS I ABLE TO DO IT? I WONDER.\""

    menu:
        "I'M SATISFIED":
            show you win9
            t "\"...THANK YOU. I REALLY APPRECIATE THAT.\""
        "NO":
            stop music fadeout .2
            show you win9
            t "\"....\""
            t "\"WELL, I DID MY BEST.\""
            play music "music/your ending.ogg"

    show you win10
    t "\"HAPPY ENDINGS SHOULDN'T ALWAYS COME EASILY. REALITY... IS NOT SO KIND.\""
    t "\"BUT YOU'VE EARNED THIS ONE. HERE'S YOUR TRUE ENDING.\""
    stop music fadeout 3.0
    $ quick_menu = False
    $ _game_menu_screen = None

    $ persistent.yourtrueend = True
    $ achievement.grant("TRUE_YOU")
    call savempcleardata from _call_savempcleardata
    $ block()

    scene black
    with Dissolve(2)
    pause 1

    if persistent.endings_seen==41:
        jump truecredits
    else:
        jump credits

label yourtrueend:
    stop music fadeout 3.0

    menu:
        "EXIT THE THEATER":
            stop music fadeout 2.0
            scene black with Fade(1.5,0,1)
            $ renpy.full_restart(transition=False, label='_invoke_main_menu', target='_main_menu')
        "SOMETHING'S MISSING..." if persistent.endings_seen==41:
            jump tragedysend

label tragedysend:
    stop music fadeout 3.0

    scene stage audience
    show audience stand
    with Fade(1,0,2)
    $ _game_menu_screen = "preferences"
    $ quick_menu = True
    $ _history_list = []
    $ block()

    t "\"....\""
    t "\"OH... YOU'RE STILL HERE?\""
    t "\"THE CURTAIN HAS CLOSED FOR THE FINAL TIME. I'M SHUTTING DOWN MY THEATER.\""
    t "\"THERE ARE NO MORE TRAGEDIES LEFT FOR ME TO TELL, AFTER ALL.\""
    menu:
        "THERE IS ONE MORE...":
            pass
        "ASK TRAGEDY ITS STORY":
            pass

    t "\"ME...? YOU'D LIKE TO KNOW WHY I STARTED THIS THEATER?\""
    show audience sit with dissolve
    t "\"HA HA HA... BECAUSE I'M OBSESSED WITH BAD ENDINGS, OF COURSE.\""

    play music "music/their song.ogg" fadein 1.5
    show screen cuemusic("note your_idle", _("THEIR song"))
    menu:
        "REMOVE THE MASK":
            show audience unveil with dissolve
            y "you gently raise your fingers to the cracks in my mask."
            y "piece by piece, it falls apart into your hands, revealing..."

    show audience unveiled with dissolve
    menu:
        "...!":
            pass
    m "\"i should've warned you, this might affect what you think of my stories.\""
    y "you can't help but compare my face to the maiden's."

    m "\"i'm not her. but it's not like she isn't me, necessarily... that's how it is with fiction.\""
    m "\"would you like to hear... not another ending, but...\""
    m "\"the truth?\""

    menu:
        "TELL ME":
            show audience story1 with dissolve
            m "\"alright. one last story.\""
            m "\"you may already know this, but...\""
            m "\"it doesn't have a happy ending.\""

    show audience story2
    y "first, i'll set the stage."
    y "in this world... there are no such things as demons. or even heroes, really."
    y "there WAS a girl eager to set out, to fulfill some sort of destiny. that part was true."
    y "she met someone. another girl."
    y "ha ha ha... a running theme, isn't it? the maiden and the overlord."
    y "the two were inseparable. and for a time... everything was just wonderful."
    y "but their families, the communities they came from... neither could approve of their relationship."
    y "that is the reality for many. this pair was no different..."
    y "despite their best efforts, the world was intent on pulling them apart."
    y "she... no, we..."
    show audience unveiled with dissolve
    m "\"we used to like the types of stories where love conquers all.\""
    m "\"where the strength of your love will pull you through any hardship, and everything is okay in the end.\""
    show audience story1 with dissolve
    m "\"....\""
    m "\"i lost her.\""
    m "\"and then i started this theater.\""

    menu:
        "BUT THIS STORY...":
            pass
        "DOES HAVE A HAPPY ENDING":
            pass

    show audience story3 with dissolve
    m "\"huh...?\""

    show audience her with Dissolve(2)
    o "\"i was hoping to find you.\""
    m "\"i-it's you...!\""
    show audience hug with dissolve
    o "\"it's been so long...\""
    m "\"i thought i'd never see you again...\""
    o "\"you always think of the worst endings.\""
    o "\"i wasn't about to give up just because things got difficult.\""
    m "\"why didn't you reveal yourself sooner? i feel like such a fool...\""
    o "\"i could say the same to you.\""
    show audience hug2 with dissolve
    o "\"you knew i could never resist giving your stories a happy ending...\""
    o "\"so of course i would be drawn to a place like this.\""
    m "\"yes, but...\""
    m "\"i didn't think it would actually work!\""
    o "\"ha ha ha... sometimes everything DOES turn out okay in the end.\""
    m "\"thank you for reminding me of that...\""
    m "\"i love you.\""
    o "\"hmhm... i love you, too.\""
    stop music fadeout 3.0

    $ quick_menu = False
    $ _game_menu_screen = None
    scene black with Dissolve(2)
    $ persistent.tragedysend = True
    "now, truly, everyone can live happily ever after."
    $ achievement.grant("TRAGEDY_END")
    "TRAGEDY'S END"
    $ quick_menu = False
    pause 2
    scene black
    show splash at truecenter:
        zoom 3
    with dissolve
    pause 2
    hide splash with fade
    $ renpy.full_restart()

label savempcleardata:
    if renpy.variant("pc"):
        $ mp.badendtheater = True
        $ mp.save()
    return

label reset:
    stop music fadeout 2.5
    scene black
    with Fade(1,1,.5)

    if persistent.endings_seen==41 and persistent.yourtrueend and not persistent.tragedysend:
        jump tragedysend

    scene stage select
    show curtains stageclosed
    with dissolve
    play music "music/your song.ogg"
    show screen cuemusic("note tragedy_idle", _("YOUR song"))
    $ _history_list = []
    $ block()

    if persistent.tragedysend:
        y "there's nothing more to see, my love. but if you'd like to reset..."
        y "if you really want to experience everything all over again, i'm happy to oblige."
    else:
        y "oh, so you weren't done with my bad endings, and now you're back for more!"
        y "you'll have to cancel out your true ending if you want to go back to the way things were before our final battle."

    y "shall we begin the resetting process?"
    menu:
        "LET'S RESET!":
            pass
        "NEVERMIND":
            if persistent.tragedysend:
                y "hmhmhm... you're so fickle. let me know if you change your mind."
            else:
                y "you don't want to play after all...? well, alright..."
                y "i'll be waiting here, in case you change your mind."
            scene black with dissolve
            $ renpy.full_restart()

    if persistent.tragedysend:
        y "there are two options: keep some of your progress, and reset to before you started the TRUE ending..."
    else:
        y "there are two options: if you missed out on seeing all 41 bad endings, you can keep your progress and reset to before you started the TRUE ending..."
    y "OR you can erase ALL of your progress, and replay the game as if it's your very first time. you'll have to collect everything all over again!"
    y "you can't take this back, so choose carefully!"

    menu:
        "RESET TO BEFORE THE TRUE END":
            $ quick_menu = False
            call halfreset from _call_halfreset
            $ persistent.halfreset = True
            stop music fadeout 2.0
            $ block()
            scene black with dissolve
            if persistent.endings_seen==41:
                "your progress has been reset. you are now free to enjoy my endings all over again!"
            else:
                "your progress has been reset. you are now free to enjoy the rest of my bad endings!"
            $ renpy.full_restart()
        "TOTAL RESET":
            $ quick_menu = False
            call truereset from _call_truereset
            stop music fadeout 2.0
            $ block()
            scene black with dissolve
            if persistent.tragedysend:
                "haha, i see... you want to fall in love with me all over again. okay, let's do it!"
            "your progress has been completely reset. hmm, does this count as a bad ending?"
            "well, just in case..."
            $ achievement.grant("TOTAL_RESET")
            $ persistent.totalreset = True
            "TOTAL RESET END"
            $ renpy.full_restart()

label checkallbehaviors:

    if persistent.dutiful and persistent.diplomatic and persistent.trusting and persistent.heroic:
        if persistent.polite and persistent.obedient and persistent.resolute and persistent.martyr:
            if persistent.hungry and persistent.disloyal and persistent.coward and persistent.captor:
                if persistent.slavedriver and persistent.antisocial and persistent.possessive and persistent.merciful:
                    $ achievement.grant("ALL_BEHAVIORS")

    return

label checkallends:

    if persistent.spectatorhero:
        $ achievement.grant("SPECTATOR_HERO")
    if persistent.failedhero:
        $ achievement.grant("FAILED_HERO")
    if persistent.uselesshero:
        $ achievement.grant("USELESS_HERO")
    if persistent.triumphanthero:
        $ achievement.grant("TRIUMPHANT_HERO")
    if persistent.loyalhero:
        $ achievement.grant("LOYAL_HERO")
    if persistent.tragichero:
        $ achievement.grant("TRAGIC_HERO")
    if persistent.naivehero:
        $ achievement.grant("NAIVE_HERO")
    if persistent.truehero:
        $ achievement.grant("TRUE_HERO")
    if persistent.resignedhero:
        $ achievement.grant("RESIGNED_HERO")
    if persistent.bystanderhero:
        $ achievement.grant("BYSTANDER_HERO")
    if persistent.unluckyhero:
        $ achievement.grant("UNLUCKY_HERO")

    if persistent.consumedmaiden:
        $ achievement.grant("CONSUMED_MAIDEN")
    if persistent.imprisonedmaiden:
        $ achievement.grant("IMPRISONED_MAIDEN")
    if persistent.slaughteredmaiden:
        $ achievement.grant("SLAUGHTERED_MAIDEN")
    if persistent.executedmaiden:
        $ achievement.grant("EXECUTED_MAIDEN")
    if persistent.sacrificialmaiden:
        $ achievement.grant("SACRIFICIAL_MAIDEN")
    if persistent.complacentmaiden:
        $ achievement.grant("COMPLACENT_MAIDEN")
    if persistent.escapedmaiden:
        $ achievement.grant("ESCAPED_MAIDEN")
    if persistent.capturedmaiden:
        $ achievement.grant("CAPTURED_MAIDEN")
    if persistent.selflessmaiden:
        $ achievement.grant("SELFLESS_MAIDEN")
    if persistent.truemaiden:
        $ achievement.grant("TRUE_MAIDEN")
    if persistent.devoutmaiden:
        $ achievement.grant("DEVOUT_MAIDEN")

    if persistent.performerunderling:
        $ achievement.grant("PERFORMER_UNDERLING")
    if persistent.victoriousunderling:
        $ achievement.grant("VICTORIOUS_UNDERLING")
    if persistent.deserterunderling:
        $ achievement.grant("DESERTER_UNDERLING")
    if persistent.faithfulunderling:
        $ achievement.grant("FAITHFUL_UNDERLING")
    if persistent.heroicunderling:
        $ achievement.grant("HEROIC_UNDERLING")
    if persistent.trueunderling:
        $ achievement.grant("TRUE_UNDERLING")
    if persistent.traitorunderling:
        $ achievement.grant("TRAITOR_UNDERLING")
    if persistent.cowardlyunderling:
        $ achievement.grant("COWARDLY_UNDERLING")
    if persistent.lordunderling:
        $ achievement.grant("LORD_UNDERLING")

    if persistent.conqueredoverlord:
        $ achievement.grant("CONQUERED_OVERLORD")
    if persistent.spitefuloverlord:
        $ achievement.grant("SPITEFUL_OVERLORD")
    if persistent.yandereoverlord:
        $ achievement.grant("SELFISH_OVERLORD")
    if persistent.trueoverlord:
        $ achievement.grant("TRUE_OVERLORD")
    if persistent.slainoverlord:
        $ achievement.grant("SLAIN_OVERLORD")
    if persistent.wrathfuloverlord:
        $ achievement.grant("WRATHFUL_OVERLORD")
    if persistent.vengefuloverlord:
        $ achievement.grant("VENGEFUL_OVERLORD")
    if persistent.assassinatedoverlord:
        $ achievement.grant("ASSASSINATED_OVERLORD")
    if persistent.burnedoverlord:
        $ achievement.grant("BURNED_OVERLORD")
    if persistent.betrayedoverlord:
        $ achievement.grant("BETRAYED_OVERLORD")

    return

label halfreset:
    $ persistent.spoilers = None
    $ persistent.bossclear = None
    $ persistent.unlockedyou = None
    $ persistent.yourbadend = None
    $ persistent.yourtrueend = None
    $ persistent.tragedysend = None
    return

label truereset:
    $ persistent.endmap_flags = []

    $ persistent.spectatorhero = None
    $ persistent.failedhero = None
    $ persistent.uselesshero = None
    $ persistent.triumphanthero = None
    $ persistent.loyalhero = None
    $ persistent.tragichero = None
    $ persistent.naivehero = None
    $ persistent.truehero = None
    $ persistent.resignedhero = None
    $ persistent.bystanderhero = None
    $ persistent.unluckyhero = None

    $ persistent.consumedmaiden = None
    $ persistent.imprisonedmaiden = None
    $ persistent.slaughteredmaiden = None
    $ persistent.executedmaiden = None
    $ persistent.sacrificialmaiden = None
    $ persistent.complacentmaiden = None
    $ persistent.escapedmaiden = None
    $ persistent.capturedmaiden = None
    $ persistent.selflessmaiden = None
    $ persistent.truemaiden = None
    $ persistent.devoutmaiden = None

    $ persistent.performerunderling = None
    $ persistent.victoriousunderling = None
    $ persistent.deserterunderling = None
    $ persistent.faithfulunderling = None
    $ persistent.heroicunderling = None
    $ persistent.trueunderling = None
    $ persistent.traitorunderling = None
    $ persistent.cowardlyunderling = None
    $ persistent.lordunderling = None

    $ persistent.conqueredoverlord = None
    $ persistent.spitefuloverlord = None
    $ persistent.yandereoverlord = None
    $ persistent.trueoverlord = None
    $ persistent.slainoverlord = None
    $ persistent.wrathfuloverlord = None
    $ persistent.vengefuloverlord = None
    $ persistent.assassinatedoverlord = None
    $ persistent.burnedoverlord = None
    $ persistent.betrayedoverlord = None

    $ persistent.endings_seen = 0
    $ persistent.heroends_seen = 0
    $ persistent.maidenends_seen = 0
    $ persistent.underlingends_seen = 0
    $ persistent.overlordends_seen = 0

    $ persistent.dutiful = None
    $ persistent.diplomatic = None
    $ persistent.trusting = None
    $ persistent.heroic = None

    $ persistent.polite = None
    $ persistent.obedient = None
    $ persistent.resolute = None
    $ persistent.martyr = None

    $ persistent.hungry = None
    $ persistent.disloyal = None
    $ persistent.coward = None
    $ persistent.captor = None

    $ persistent.slavedriver = None
    $ persistent.antisocial = None
    $ persistent.possessive = None
    $ persistent.merciful = None

    #extra true end collection
    $ persistent.firsttrueend = None
    $ persistent.secondtrueend = None

    #credits flags
    $ persistent.seen_badendcredits = None
    $ persistent.seen_trueendcredits = None

    $ persistent.tutorial = None #completed tutorial
    $ persistent.spoilers = None #reached the climax
    $ persistent.bossclear = None #defeated tragedy
    $ persistent.unlockedyou = None #changes character select
    $ persistent.yourbadend = None #lost to tragedy
    $ persistent.yourtrueend = None #cleared the game
    $ persistent.tragedysend = None #TRUE true end

    #lost letters:
    $ persistent.passage1 = None
    $ persistent.passage2 = None
    $ persistent.passage3 = None
    $ persistent.passage4 = None

    $ persistent.totalreset = True
    $ achievement.grant("TOTAL_RESET")

    if not config.developer:
        python:
            for slot in renpy.list_saved_games(fast=True):
                renpy.unlink_save(slot)

    return
