
init offset = -1

init python:
    def check_unlocked_behaviors():
        if persistent.dutiful or persistent.heroic or persistent.trusting or persistent.diplomatic:
            return True
        if persistent.polite or persistent.obedient or persistent.resolute or persistent.martyr:
            return True
        if persistent.hungry or persistent.disloyal or persistent.coward or persistent.captor:
            return True
        if persistent.slavedriver or persistent.antisocial or persistent.possessive or persistent.merciful:
            return True
        return False

screen tutorial_charselect():

    variant "touch"

    tag menu
    add "stage select"
    default doll = None

    hbox:
        xsize 500
        spacing 160
        align (.5,.5)
        offset (90,80)
        xfill True
        imagebutton auto "humansprite %s":
            selected doll=="human" at actor_resize
            if doll=="human":
                action Jump("tutorial_human")
                activate_sound "music/sound/start.wav"
            else:
                action SetScreenVariable("doll", "human")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "demonsprite %s":
            selected doll=="demon" at actor_resize
            if doll=="demon":
                action Jump("tutorial_demon")
                activate_sound "music/sound/start.wav"
            else:
                action SetScreenVariable("doll", "demon")
                activate_sound "music/sound/choose.wav"

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    if doll=="human":
        text _("the human doll") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "charselect_arrow" align (.96,.45):
            activate_sound "music/sound/start.wav" focus_mask None
            action Jump("tutorial_human")
            at arrow_point
    elif doll=="demon":
        text _("the demon doll") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "charselect_arrow" align (.96,.45):
            activate_sound "music/sound/start.wav" focus_mask None
            action Jump("tutorial_demon")
            at arrow_point
    else:
        text _("....") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    if tutorial_freeplay:
        imagebutton auto "charselect_%s":
            action Jump("tutorial_end") xalign .98 yalign 0
            activate_sound "music/sound/end.wav"
    else:
        if tutorial_round1:
            use marquee(_("WELCOME TO THE TUTORIAL! SELECT A DOLL TO BEGIN THE STORY."))
        else:
            use marquee(_("LET'S PLAY FROM ANOTHER PERSPECTIVE! WHAT WILL HAPPEN NEXT...?"))

    if persistent.tutorial:
        use skiptut()

# screen tutorial_behaviors():
#     variant "touch"
    if tutorial_freeplay:
        hbox:
            style_prefix "behaviors"
            xalign .5
            yalign .92
            xoffset 20
            at gui_appear
            frame:
                padding (30,4,0,10)

                has hbox

                vbox:
                    style_prefix "check"
                    label _("HUMAN DOLL")
                    textbutton _("hostile") action ToggleSetMembership(tutorialbehavior, "hostile")
                null width 120
                vbox:
                    style_prefix "check"
                    label _("DEMON DOLL")
                    textbutton _("wicked") action ToggleSetMembership(tutorialbehavior, "wicked")

            null width 8
            imagebutton auto "random %s":
                action Show("tutorial_hint", transition=Dissolve(.2))
                activate_sound "music/sound/tap.wav"

        text _("^ set the doll's behaviors before the story begins") xpos 360 yalign .99 style "behaviors_text"

        hbox:
            style_prefix "quick"
            xalign .99
            yalign .98
            textbutton _("menu") action ShowMenu('preferences') activate_sound "music/sound/start.wav"

transform showhint:
    yoffset 40
    easein .3 yoffset 0

screen tutorial_hint():
    modal True
    add "darken"
    frame:
        align (.5,.5)
        padding (30,20)
        at showhint
        has vbox
        spacing 20
        hbox:
            text _("hostile")
            text " - "
            text _("the human doll will attack")
        hbox:
            text _("wicked")
            text " - "
            text _("the demon doll will attack")
    button:
        action Hide("tutorial_hint", transition=Dissolve(.2))

screen charselect():
    variant "touch"
    tag menu
    add "stage select"

    default actor = None

    hbox:
        xsize 720
        align (.5,.5)
        offset (90,80)
        xfill True
        imagebutton auto "herosprite %s":
            selected actor=="hero" at actor_resize
            if actor=="hero":
                action Jump("herostart")
            else:
                action SetScreenVariable("actor", "hero")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "maidensprite %s":
            selected actor=="maiden" at actor_resize
            if actor=="maiden":
                action Jump("maidenstart")
            else:
                action SetScreenVariable("actor", "maiden")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "underlingsprite %s":
            selected actor=="underling" at actor_resize
            if actor=="underling":
                action Jump("underlingstart")
            else:
                action SetScreenVariable("actor", "underling")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "overlordsprite %s":
            selected actor=="overlord" at actor_resize
            if actor=="overlord":
                action Jump("overlordstart")
            else:
                action SetScreenVariable("actor", "overlord")
                activate_sound "music/sound/choose.wav"

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)]
    if actor=="hero":
        text _("the hero") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "hero_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("herostart")
            at arrow_point
    elif actor=="maiden":
        text _("a maiden") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "maiden_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("maidenstart")
            at arrow_point
    elif actor=="underling":
        text _("an underling") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "underling_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("underlingstart")
            at arrow_point
    elif actor=="overlord":
        text _("the overlord") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "overlord_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("overlordstart")
            at arrow_point
    else:
        text _("....") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    use setbehaviors
    use endings
    imagebutton auto "tut_%s":
        action Confirm(_("REPLAY THE TUTORIAL?"), Jump("tutorial"))
        xalign .02 yalign 0

screen setbehaviors():
    variant "touch"
    style_prefix "behaviors"
    hbox:
        xalign .5
        yalign .92
        xoffset 20
        at gui_appear
        frame:
            padding (30,4,0,10)

            has hbox

            vbox:
                style_prefix "check"
                xsize 240
                label _("HERO") text_color "#FFB546"
                if persistent.dutiful:
                    textbutton _("dutiful"):
                        action ToggleSetMembership(herobehavior, "slayer")
                if persistent.heroic:
                    textbutton _("heroic"):
                        action ToggleSetMembership(herobehavior, "coup")
                if persistent.trusting:
                    textbutton _("trusting"):
                        action ToggleSetMembership(herobehavior, "trusting")
                if persistent.diplomatic:
                    textbutton _("diplomatic"):
                        action ToggleSetMembership(herobehavior, "diplomatic")
                if not persistent.dutiful and not persistent.heroic and not persistent.trusting and not persistent.diplomatic:
                    textbutton _("LOCKED")


            vbox:
                style_prefix "check"
                xsize 240
                label _("MAIDEN") text_color "#C2B2EB"
                if persistent.polite:
                    textbutton _("polite"):
                        action ToggleSetMembership(maidenbehavior, "polite")
                if persistent.obedient:
                    textbutton _("obedient"):
                        action ToggleSetMembership(maidenbehavior, "obedient")
                if persistent.resolute:
                    textbutton _("resolute"):
                        action ToggleSetMembership(maidenbehavior, "resolute")
                if persistent.martyr:
                    textbutton _("martyr"):
                        action ToggleSetMembership(maidenbehavior, "martyr")
                if not persistent.polite and not persistent.obedient and not persistent.resolute and not persistent.martyr:
                    textbutton _("LOCKED")

            vbox:
                style_prefix "check"
                xsize 240
                label _("UNDERLING") text_color "#46EBFF"
                if persistent.hungry:
                    textbutton _("hungry"):
                        action ToggleSetMembership(underlingbehavior, "hungry")
                if persistent.disloyal:
                    textbutton _("disloyal"):
                        action ToggleSetMembership(underlingbehavior, "disloyal")
                if persistent.coward:
                    textbutton _("coward"):
                        action ToggleSetMembership(underlingbehavior, "coward")
                if persistent.captor:
                    textbutton _("captor"):
                        action ToggleSetMembership(underlingbehavior, "captor")
                if not persistent.hungry and not persistent.disloyal and not persistent.coward and not persistent.captor:
                    textbutton _("LOCKED")

            vbox:
                style_prefix "check"
                xsize 240
                label _("OVERLORD") text_color "#FF4F80"
                if persistent.slavedriver:
                    textbutton _("tyrant"):
                        action ToggleSetMembership(overlordbehavior, "slavedriver")
                if persistent.antisocial:
                    textbutton _("antisocial"):
                        action ToggleSetMembership(overlordbehavior, "antisocial")
                if persistent.possessive:
                    textbutton _("possessive"):
                        action ToggleSetMembership(overlordbehavior, "possessive")
                if persistent.merciful:
                    textbutton _("merciful"):
                        action ToggleSetMembership(overlordbehavior, "merciful")
                if not persistent.slavedriver and not persistent.antisocial and not persistent.possessive and not persistent.merciful:
                    textbutton _("LOCKED")

        null width 8
        imagebutton auto "random %s":
            action Show("behavior_hint", transition=Dissolve(.2))
            sensitive check_unlocked_behaviors()==True
            activate_sound "music/sound/tap.wav"

    text _("^ set behaviors to change the flow of events") yalign .99

screen behavior_hint():
    modal True
    add "darken"
    style_prefix "hint"
    frame:
        align (.5,.5)
        padding (30,18)
        at showhint
        has vbox
        spacing gui.hint_vbox_spacing

        if persistent.dutiful:
            hbox:
                text _("dutiful") color "#FFB546"
                text " - "
                text _("slaughters all the demons")
        if persistent.heroic:
            hbox:
                text _("heroic") color "#FFB546"
                text " - "
                text _("tries to kill the overlord")
        if persistent.trusting:
            hbox:
                text _("trusting") color "#FFB546"
                text " - "
                text _("believes the maiden's story")
        if persistent.diplomatic:
            hbox:
                text _("diplomatic") color "#FFB546"
                text " - "
                text _("prefers not to solve things through violence")

        if persistent.polite:
            hbox:
                text _("polite") color "#C2B2EB"
                text " - "
                text _("doesn't scream at the sight of the underling")
        if persistent.obedient:
            hbox:
                text _("obedient") color "#C2B2EB"
                text " - "
                text _("goes home when the overlord tells her to")
        if persistent.resolute:
            hbox:
                text _("resolute") color "#C2B2EB"
                text " - "
                text _("leaves the village with the hero in tow")
        if persistent.martyr:
            hbox:
                text _("martyr") color "#C2B2EB"
                text " - "
                text _("dies to protect the overlord")

        if persistent.hungry:
            hbox:
                text _("hungry") color "#46EBFF"
                text " - "
                text _("eats the maiden immediately")
        if persistent.disloyal:
            hbox:
                text _("disloyal") color "#46EBFF"
                text " - "
                text _("gets involved in the plot to kill the overlord")
        if persistent.coward:
            hbox:
                text _("coward") color "#46EBFF"
                text " - "
                text _("doesn't go through with the assassination plot")
        if persistent.captor:
            hbox:
                text _("captor") color "#46EBFF"
                text " - "
                text _("throws the maiden in the dungeon")

        if persistent.slavedriver:
            hbox:
                text _("tyrant") color "#FF4F80"
                text " - "
                text _("doesn't allow the underling a day off")
        if persistent.antisocial:
            hbox:
                text _("antisocial") color "#FF4F80"
                text " - "
                text _("tells the maiden to leave")
        if persistent.possessive:
            hbox:
                text _("possessive") color "#FF4F80"
                text " - "
                text _("won't let the hero take the maiden home")
        if persistent.merciful:
            hbox:
                text _("merciful") color "#FF4F80"
                text " - "
                text _("lets her underling live in the end")
    button:
        action Hide("behavior_hint", transition=Dissolve(.2))

style hint_vbox:
    spacing gui.hint_vbox_spacing
style hint_text:
    size gui.hint_text_size

screen burningcharselect():
    variant "touch"
    tag menu
    add "stage burntselect"

    default actor = None

    hbox:
        xsize 720
        align (.5,.5)
        offset (90,80)
        xfill True

        imagebutton auto "herospriteb %s":
            selected actor=="hero" at actor_resize
            if actor=="hero":
                action Jump("burninghero")
            else:
                action SetScreenVariable("actor", "hero")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "maidenspriteb %s":
            selected actor=="maiden" at actor_resize
            if actor=="maiden":
                action Jump("burningmaiden")
            else:
                action SetScreenVariable("actor", "maiden")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "underlingspriteb %s":
            selected actor=="underling" at actor_resize
            if actor=="underling":
                action Jump("burningunderling")
            else:
                action SetScreenVariable("actor", "underling")
                activate_sound "music/sound/choose.wav"
        imagebutton auto "overlordspriteb %s":
            selected actor=="overlord" at actor_resize
            if actor=="overlord":
                action Jump("burningoverlord")
            else:
                action SetScreenVariable("actor", "overlord")
                activate_sound "music/sound/choose.wav"

    hbox:
        xsize 183
        align .5,.5
        offset (90,140)
        imagebutton auto "yoursprite %s":
            selected actor=="you" at actor_resize
            if actor=="you":
                action Jump("youstart")
            else:
                action SetScreenVariable("actor", "you")
                activate_sound "music/sound/choose.wav"

    text _("you are") xalign .5 yalign .1 size gui.charselect_text_size outlines [(4,"#000",0,0)]
    if actor=="hero":
        text _("the hero") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "hero_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("burninghero")
            at arrow_point
    elif actor=="maiden":
        text _("a maiden") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "maiden_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("burningmaiden")
            at arrow_point
    elif actor=="underling":
        text _("an underling") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "underling_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("burningunderling")
            at arrow_point
    elif actor=="overlord":
        text _("the overlord") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "overlord_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("burningoverlord")
            at arrow_point
    elif actor=="you":
        text _("???") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]
        imagebutton idle "charselect_arrow" align (.96,.45):
            activate_sound None focus_mask None
            action Jump("youstart")
            at arrow_point
    else:
        text _("....") xalign .5 yalign .25 size gui.charselect_text_size outlines [(4,"#000",0,0)]

    key "focus_down" action Function( renpy.set_focus, "burningcharselect", "you" )

    use burntbehaviors()
    use endings()


style endmap_image_button:
    variant "touch"
    hover_foreground "button_fg"
    selected_foreground "button_fg_select"
    activate_sound "music/sound/bar1.wav"

screen endmap_hero():

    variant "touch"
    style_prefix "endmap"

    default selectedbtn = None

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.heroends_seen==11:
            add "heroends"
        else:
            add "heroends dark"
            if persistent.loyalhero:
                add "heroends loyal"
            if persistent.failedhero:
                add "heroends failed"
            if persistent.uselesshero:
                add "heroends useless"
            if persistent.naivehero:
                add "heroends naive"
            if persistent.tragichero:
                add "heroends tragic"
            if persistent.triumphanthero:
                add "heroends triumphant"
            if persistent.bystanderhero:
                add "heroends bystander"
            if persistent.spectatorhero:
                add "heroends spectator"
            if persistent.unluckyhero:
                add "heroends unlucky"
            if persistent.resignedhero:
                add "heroends resigned"
            if persistent.truehero:
                add "heroends true"

    frame:
        imagebutton auto "endmap hero_%s":
            xpos 50 ypos 300 action ToggleLocalVariable("selectedbtn", _("the hero begins his story"))

        imagebutton auto "endmap hero_%s":
            xpos 100 ypos 250 action ToggleLocalVariable("selectedbtn", _("the hero slays the demons {color=#FFB546}(dutiful){/color}"))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 100 ypos 300 action ToggleLocalVariable("selectedbtn", _("the hero flees from the demons"))
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 375 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} antisocial"))
            sensitive persistent.antisocial==True

        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 200 action ToggleLocalVariable("selectedbtn", _("the hero slaughters his way through the castle {color=#FFB546}(dutiful){/color}"))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 275 action ToggleLocalVariable("selectedbtn", _("the hero is let into the castle without issue {color=#FFB546}(diplomatic){/color}"))
            sensitive persistent.diplomatic==True
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 350 action ToggleLocalVariable("selectedbtn", _("the hero slays the demons {color=#FFB546}(dutiful){/color} "))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 150 ypos 400 action ToggleLocalVariable("selectedbtn", _("the hero flees from the demons "))

        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 150 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} hungry"))
            sensitive persistent.hungry==True
        imagebutton auto "endmap overlord_%s":
            xpos 200 ypos 200 action ToggleLocalVariable("selectedbtn", _("the hero finds the maiden. the overlord is upset."))
        imagebutton auto "endmap overlord_%s":
            xpos 200 ypos 250 action ToggleLocalVariable("selectedbtn", _("the hero reaches the overlord's room. everything is fine!"))
        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} hungry "))
            sensitive persistent.hungry==True
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} obedient (she runs from you)"))
            sensitive persistent.obedient==True
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} obedient (you talk)"))
            sensitive persistent.obedient==True

        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 125 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}FAILED:{/color} the hero slays the overlord. he never knows what became of the maiden."))
            sensitive persistent.failedhero==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 175 action ToggleLocalVariable("selectedbtn", _("the hero apologizes for what he's done"))
        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 225 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal "))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 275 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} possessive"))
            sensitive persistent.possessive==True
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 325 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}USELESS:{/color} the hero's adventure was pointless. he returns home having accomplished nothing."))
            sensitive persistent.uselesshero==True
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 375 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SPECTATOR:{/color} the hero watches the maiden burn. she must have somehow deserved it."))
            sensitive persistent.spectatorhero==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 425 action ToggleLocalVariable("selectedbtn", _("the hero believes the maiden's story {color=#FFB546}(trusting){/color}"))
            sensitive persistent.trusting==True

        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 150 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRAGIC:{/color} the hero is slain by the overlord. he accepts his punishment."))
            sensitive persistent.tragichero==True
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 200 action ToggleLocalVariable("selectedbtn", _("the hero tries to slay the overlord {color=#FFB546}(heroic){/color}"))
            sensitive persistent.heroic==True
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 275 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}NAIVE:{/color} the hero is swiftly defeated by the overlord. she captures the maiden."))
            sensitive persistent.naivehero==True
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal, captor"))
            sensitive persistent.disloyal==True and persistent.captor==True
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 450 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} resolute"))
            sensitive persistent.resolute==True

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 150 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRIUMPHANT:{/color} the hero slays the overlord. he brings the maiden home."))
            sensitive persistent.triumphanthero==True
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 200 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} martyr"))
            sensitive persistent.martyr==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}BYSTANDER:{/color} the hero does nothing as the demon castle burns down."))
            sensitive persistent.bystanderhero==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}UNLUCKY:{/color} the hero is abruptly killed off by the underling after fighting the overlord."))
            sensitive persistent.unluckyhero==True
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 450 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal"))
            sensitive persistent.disloyal==True

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 200 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}LOYAL:{/color} the hero slays the overlord. he could not save the maiden."))
            sensitive persistent.loyalhero==True

        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action ToggleLocalVariable("selectedbtn", _("the maiden overhears the underling's plot to kill the overlord and goes back to warn her"))
            sensitive "demonplot" in persistent.endmap_flags

        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} merciful"))
            sensitive persistent.merciful==True
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}RESIGNED:{/color} the hero can do nothing as everyone is consumed by flames."))
            sensitive persistent.resignedhero==True

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRUE END{/color}"))
            sensitive persistent.truehero==True

    frame:
        style_group "endmap2"
        has vbox
        if selectedbtn:
            text selectedbtn


screen endmap_maiden():

    variant "touch"
    style_prefix "endmap"

    tag endmap

    default selectedbtn = None

    fixed:
        xpos 340 ypos 139
        if persistent.maidenends_seen==11:
            add "maidenends"
        else:
            add "maidenends dark"
            if persistent.consumedmaiden:
                add "maidenends consumed"
            if persistent.capturedmaiden:
                add "maidenends captured"
            if persistent.selflessmaiden:
                add "maidenends selfless"
            if persistent.complacentmaiden:
                add "maidenends complacent"
            if persistent.executedmaiden:
                add "maidenends executed"
            if persistent.escapedmaiden:
                add "maidenends escaped"
            if persistent.sacrificialmaiden:
                add "maidenends sacrificial"
            if persistent.slaughteredmaiden:
                add "maidenends slaughtered"
            if persistent.imprisonedmaiden:
                add "maidenends imprisoned"
            if persistent.devoutmaiden:
                add "maidenends devout"
            if persistent.truemaiden:
                add "maidenends true"

    frame:
        imagebutton auto "endmap maiden_%s":
            xpos 50 ypos 300 action ToggleLocalVariable("selectedbtn", _("the maiden begins her story"))

        imagebutton auto "endmap underling_%s":
            xpos 100 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} hungry"))
            sensitive persistent.hungry==True
        imagebutton auto "endmap ending_%s":
            xpos 150 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}CONSUMED:{/color} the maiden is immediately eaten by the underling. she didn't stand a chance."))
            sensitive persistent.consumedmaiden==True

        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 300 action ToggleLocalVariable("selectedbtn", _("the maiden meets the overlord"))

        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} antisocial"))
            sensitive persistent.antisocial==True

        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 250 action ToggleLocalVariable("selectedbtn", _("the maiden chooses to leave when told {color=#9187d6}(obedient){/color}"))
            sensitive persistent.obedient==True
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 325 action ToggleLocalVariable("selectedbtn", _("the maiden stays with the overlord a while"))

        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 200 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} trusting"))
            sensitive persistent.trusting==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 275 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} dutiful"))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 325 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} dutiful "))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} diplomatic"))
            sensitive persistent.diplomatic==True

        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 175 action ToggleLocalVariable("selectedbtn", _("the maiden returns to see the overlord alone"))
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 225 action ToggleLocalVariable("selectedbtn", _("the maiden returns to see the overlord with the hero {color=#9187d6}(resolute){/color}"))
            sensitive persistent.resolute==True
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 275 action ToggleLocalVariable("selectedbtn", _("the maiden returns to her village alone"))
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 325 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} heroic"))
            sensitive persistent.heroic==True
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 375 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal "))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap overlord_%s":
            xpos 300 ypos 425 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} possessive"))
            sensitive persistent.possessive==True

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 125 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SELFLESS:{/color} the maiden tries to save the overlord from the burning castle."))
            sensitive persistent.selflessmaiden==True
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal  "))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}EXECUTED:{/color} the maiden is burned at the stake. she is an enemy of the village."))
            sensitive persistent.executedmaiden==True
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action ToggleLocalVariable("selectedbtn", _("the maiden stops the hero {color=#9187d6}(martyr){/color}"))
            sensitive persistent.martyr==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}COMPLACENT:{/color} the maiden stands by as the hero slays the overlord."))
            sensitive persistent.complacentmaiden==True
        imagebutton auto "endmap underling_%s":
            xpos 350 ypos 425 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal   "))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 475 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}CAPTURED:{/color} the maiden becomes property of the overlord."))
            sensitive persistent.capturedmaiden==True

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 125 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SLAUGHTERED:{/color} the maiden is slain by the underling after overhearing their plot."))
            sensitive persistent.slaughteredmaiden==True
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} captor"))
            sensitive persistent.captor==True
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 225 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal"))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SACRIFICIAL:{/color} the maiden dies to protect the overlord. she accepts this fate."))
            sensitive persistent.sacrificialmaiden==True
        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 425 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}ESCAPED:{/color} the maiden is saved from the overlord."))
            sensitive persistent.escapedmaiden==True

        imagebutton auto "endmap ending_%s":
            xpos 450 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}IMPRISONED:{/color} the maiden is captured by the underling and sent to the dungeon."))
            sensitive persistent.imprisonedmaiden==True
        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action ToggleLocalVariable("selectedbtn", _("the maiden overhears the underling's plot to kill the overlord and goes back to warn her"))
            sensitive "demonplot" in persistent.endmap_flags
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}DEVOUT:{/color} the maiden prays as everyone is consumed by flames."))
            sensitive persistent.devoutmaiden==True
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} merciful"))
            sensitive persistent.merciful==True
        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRUE END{/color}"))
            sensitive persistent.truemaiden==True

    frame:
        style_group "endmap2"
        has vbox
        if selectedbtn:
            text selectedbtn


screen endmap_underling():

    variant "touch"
    style_prefix "endmap"

    default selectedbtn = None

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.underlingends_seen==9:
            add "underlingends"
        else:
            add "underlingends dark"
            if "polite" in persistent.endmap_flags:
                add "underlingends polite"
            if persistent.performerunderling:
                add "underlingends performer"
            if persistent.heroicunderling:
                add "underlingends heroic"
            if persistent.faithfulunderling:
                add "underlingends faithful"
            if persistent.deserterunderling:
                add "underlingends deserter"
            if persistent.victoriousunderling:
                add "underlingends victorious"
            if persistent.cowardlyunderling:
                add "underlingends cowardly"
            if persistent.traitorunderling:
                add "underlingends traitor"
            if persistent.lordunderling:
                add "underlingends lord"
            if persistent.trueunderling:
                add "underlingends true"

    frame:
        imagebutton auto "endmap underling_%s":
            xpos 50 ypos 300 action ToggleLocalVariable("selectedbtn", _("the underling begins their story"))

        imagebutton auto "endmap underling_%s":
            xpos 100 ypos 300 action ToggleLocalVariable("selectedbtn", _("the underling is granted the day off"))
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} tyrant"))
            sensitive persistent.slavedriver==True

        imagebutton auto "endmap maiden_%s":
            xpos 150 ypos 275 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} polite"))
            sensitive persistent.polite==True
        imagebutton auto "endmap underling_%s":
            xpos 150 ypos 375 action ToggleLocalVariable("selectedbtn", _("the underling gets involved in a plot to dethrone the overlord {color=#46EBFF}(disloyal){/color}"))
            sensitive persistent.disloyal==True

        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 300 action ToggleLocalVariable("selectedbtn", _("the underling brings the maiden to the castle"))
        imagebutton auto "endmap underling_%s":
            xpos 200 ypos 400 action ToggleLocalVariable("selectedbtn", _("the underling devours the maiden {color=#46EBFF}(hungry){/color}"))
            sensitive persistent.hungry==True

        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 300 action ToggleLocalVariable("selectedbtn", _("the underling gets involved in a plot to dethrone the overlord {color=#46EBFF}(disloyal){/color} "))
            sensitive persistent.disloyal==True
        imagebutton auto "endmap underling_%s":
            xpos 250 ypos 375 action ToggleLocalVariable("selectedbtn", _("the underling returns to the castle"))
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 425 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}PERFORMER:{/color} the underling performs a brilliant massacre. they are slain by the hero."))
            sensitive persistent.performerunderling==True

        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} diplomatic"))
            sensitive persistent.diplomatic==True
        imagebutton auto "endmap overlord_%s":
            xpos 300 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} antisocial"))
            sensitive persistent.antisocial==True
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}FAITHFUL:{/color} the underling stays loyal to the overlord and pays with their life."))
            sensitive persistent.faithfulunderling==True
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} dutiful"))
            sensitive persistent.dutiful==True

        imagebutton auto "endmap overlord_%s":
            xpos 350 ypos 225 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} possessive"))
            sensitive persistent.possessive==True
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} obedient"))
            sensitive persistent.obedient==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}DESERTER:{/color} the underling abandons their comrades. they live in solitude from then on."))
            sensitive persistent.deserterunderling==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 450 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}VICTORIOUS:{/color} the underling exacts revenge against the hero. they die in the process."))
            sensitive persistent.victoriousunderling==True

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 200 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}HEROIC:{/color} the underling ends up saving the maiden. they become the new overlord."))
            sensitive persistent.heroicunderling==True
        imagebutton auto "endmap hero_%s":
            xpos 400 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} trusting"))
            sensitive persistent.trusting==True
        imagebutton auto "endmap underling_%s":
            xpos 400 ypos 375 action ToggleLocalVariable("selectedbtn", _("the underling confirms the plan to kill the overlord {color=#46EBFF}(disloyal){/color}"))
            sensitive persistent.disloyal==True

        imagebutton auto "endmap maiden_%s":
            xpos 450 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} resolute"))
            sensitive persistent.resolute==True
        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 350 action ToggleLocalVariable("selectedbtn", _("the underling imprisons the maiden {color=#46EBFF}(captor){/color}"))
            sensitive persistent.captor==True
        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 400 action ToggleLocalVariable("selectedbtn", _("the underling doesn't follow through with the plan {color=#46EBFF}(coward){/color}"))
            sensitive persistent.coward==True

        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRAITOR:{/color} the underling is killed by the overlord out of retribution."))
            sensitive persistent.traitorunderling==True
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FF4F80}overlord behavior:{/color} merciful"))
            sensitive persistent.merciful==True
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}LORD:{/color} the underling violently overthrows the overlord. they become the new demon ruler."))
            sensitive persistent.lordunderling==True
        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}COWARDLY:{/color} the underling fails to assassinate the overlord and burns with her."))
            sensitive persistent.cowardlyunderling==True

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRUE END{/color}"))
            sensitive persistent.trueunderling==True

    frame:
        style_group "endmap2"
        has vbox
        if selectedbtn:
            text selectedbtn


screen endmap_overlord():

    variant "touch"
    style_prefix "endmap"

    default selectedbtn = None

    tag endmap

    fixed:
        xpos 340 ypos 139
        if persistent.overlordends_seen==10:
            add "overlordends"
        else:
            add "overlordends dark"
            if persistent.wrathfuloverlord:
                add "overlordends wrathful"
            if persistent.slainoverlord:
                add "overlordends slain"
            if persistent.yandereoverlord:
                add "overlordends selfish"
            if persistent.vengefuloverlord:
                add "overlordends vengeful"
            if persistent.conqueredoverlord:
                add "overlordends conquered"
            if persistent.betrayedoverlord:
                add "overlordends betrayed"
            if persistent.assassinatedoverlord:
                add "overlordends assassinated"
            if persistent.burnedoverlord:
                add "overlordends burned"
            if persistent.spitefuloverlord:
                add "overlordends spiteful"
            if persistent.trueoverlord:
                add "overlordends true"

    frame:
        imagebutton auto "endmap overlord_%s":
            xpos 50 ypos 300 action ToggleLocalVariable("selectedbtn", _("the overlord begins her story"))

        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 275 action ToggleLocalVariable("selectedbtn", _("the overlord lets the underling have the day off"))
        imagebutton auto "endmap overlord_%s":
            xpos 100 ypos 325 action ToggleLocalVariable("selectedbtn", _("the overlord tells the underling to get back to work {color=#FF4F80}(tyrant){/color}"))
            sensitive persistent.slavedriver==True

        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 250 action ToggleLocalVariable("selectedbtn", _("the overlord allows the maiden to stay and chat"))
        imagebutton auto "endmap overlord_%s":
            xpos 150 ypos 300 action ToggleLocalVariable("selectedbtn", _("the overlord tells the maiden to go home {color=#FF4F80}(antisocial){/color}"))
            sensitive persistent.antisocial==True
        imagebutton auto "endmap underling_%s":
            xpos 150 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} hungry"))
            sensitive persistent.hungry==True

        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} dutiful"))
            sensitive persistent.dutiful==True
        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 225 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} diplomatic"))
            sensitive persistent.diplomatic==True
        imagebutton auto "endmap maiden_%s":
            xpos 200 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} obedient"))
            sensitive persistent.obedient==True
        imagebutton auto "endmap hero_%s":
            xpos 200 ypos 375 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} dutiful "))
            sensitive persistent.dutiful==True

        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 125 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}WRATHFUL:{/color} the overlord destroys the hero after he destroyed her army."))
            sensitive persistent.wrathfuloverlord==True
        imagebutton auto "endmap hero_%s":
            xpos 250 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} heroic"))
            sensitive persistent.heroic==True
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 225 action ToggleLocalVariable("selectedbtn", _("the overlord claims the maiden as her own {color=#FF4F80}(possessive){/color}"))
            sensitive persistent.possessive==True
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 275 action ToggleLocalVariable("selectedbtn", _("the overlord lets the maiden and hero go"))
        imagebutton auto "endmap overlord_%s":
            xpos 250 ypos 350 action ToggleLocalVariable("selectedbtn", _("the overlord awakens"))
        imagebutton auto "endmap ending_%s":
            xpos 250 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}CONQUERED:{/color} the overlord loses to the hero. she dies lamenting her lack of strength."))
            sensitive persistent.conqueredoverlord==True

        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 125 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SLAIN:{/color} the overlord is stabbed in the back by the hero."))
            sensitive persistent.slainoverlord==True
        imagebutton auto "endmap maiden_%s":
            xpos 300 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} martyr"))
            sensitive persistent.martyr==True
        imagebutton auto "endmap ending_%s":
            xpos 300 ypos 225 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SELFISH:{/color} the overlord keeps the maiden all to herself."))
            sensitive persistent.yandereoverlord==True
        imagebutton auto "endmap hero_%s":
            xpos 300 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} trusting"))
            sensitive persistent.trusting==True
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} coward"))
            sensitive persistent.coward==True
        imagebutton auto "endmap underling_%s":
            xpos 300 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal"))
            sensitive persistent.disloyal==True

        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 175 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}VENGEFUL:{/color} the overlord sets her sights on world domination after the maiden is killed."))
            sensitive persistent.vengefuloverlord==True
        imagebutton auto "endmap maiden_%s":
            xpos 350 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#9187d6}maiden behavior:{/color} resolute"))
            sensitive persistent.resolute==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 350 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}BURNED:{/color} the overlord is locked in her room and set ablaze."))
            sensitive persistent.burnedoverlord==True
        imagebutton auto "endmap hero_%s":
            xpos 350 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#FFB546}hero behavior:{/color} trusting "))
            sensitive persistent.trusting==True
        imagebutton auto "endmap ending_%s":
            xpos 350 ypos 450 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}ASSASSINATED:{/color} the overlord wakes up to the underling tearing her throat out."))
            sensitive persistent.assassinatedoverlord==True

        imagebutton auto "endmap ending_%s":
            xpos 400 ypos 400 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}BETRAYED:{/color} the overlord, weakened from fighting the hero, is taken out by the underling."))
            sensitive persistent.betrayedoverlord==True

        imagebutton auto "endmap underling_%s":
            xpos 450 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#46EBFF}underling behavior:{/color} disloyal "))
            sensitive persistent.disloyal==True

        imagebutton auto "endmap ending_%s":
            xpos 500 ypos 250 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}SPITEFUL:{/color} the overlord murders her underling in cold blood."))
            sensitive persistent.spitefuloverlord==True
        imagebutton auto "endmap overlord_%s":
            xpos 500 ypos 300 action ToggleLocalVariable("selectedbtn", _("the overlord spares her underling {color=#FF4F80}(merciful){/color}"))
            sensitive persistent.merciful==True

        imagebutton auto "endmap ending0_%s":
            xpos 550 ypos 300 action ToggleLocalVariable("selectedbtn", _("{color=#C20038}TRUE END{/color}"))
            sensitive persistent.trueoverlord==True

    frame:
        style_group "endmap2"
        has vbox
        if selectedbtn:
            text selectedbtn

transform zoomx2:
    zoom 2.0
screen soundstage():
    variant "touch"
    on "show" action Stop("music", fadeout=1)
    key "toggle_skip" action None

    add "black"
    modal True
    default currentsong = 0

    style_prefix "musicgal"

    grid 6 5:
        transpose True
        align (.8,.66)
        spacing 40

        for c, i in enumerate(musiclist[0:5], 1):
            imagebutton auto "note hero_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)
                at zoomx2

        for c, i in enumerate(musiclist[5:10], 6):
            imagebutton auto "note maiden_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)
                at zoomx2

        for c, i in enumerate(musiclist[10:15], 11):
            imagebutton auto "note underling_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)
                at zoomx2

        for c, i in enumerate(musiclist[15:20], 16):
            imagebutton auto "note overlord_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i)
                at zoomx2

        for c, i in enumerate(musiclist[20:25], 21):
            imagebutton auto "note tragedy_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i) or persistent.seen_trueendcredits==True
                at zoomx2

        for c, i in enumerate(musiclist[25:30], 26):
            imagebutton auto "note your_%s":
                action [ Play("music", i, loop=True), SetScreenVariable("currentsong", c) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                sensitive renpy.seen_audio(i) or persistent.seen_trueendcredits==True
                at zoomx2

    hbox:
        align (.08,.88)
        textbutton _("return"):
            activate_sound "music/sound/end.wav"
            action [Play("music", "music/mainmenu.ogg", loop=True, fadein=.5, fadeout=.5), Hide("soundstage", transition=fade)]
    vbox:
        align (.08,.54)
        spacing 52
        $ shuffle = pick_shuffle()
        hbox:
            spacing 20
            imagebutton auto "random %s":
                action [ Play("music", shuffle[1], loop=True), SetScreenVariable("currentsong", shuffle[0])]
                hover_foreground "button_fg"
                selected None
                at zoomx2
            textbutton _("RANDOM") yalign .5 selected False action [ Play("music", shuffle[1], loop=True), SetScreenVariable("currentsong", shuffle[0])]
        hbox:
            spacing 20
            imagebutton auto "silence %s":
                action [ Stop("music"), SetScreenVariable("currentsong",0) ]
                hover_foreground "button_fg"
                selected_foreground "button_fg_select"
                at zoomx2
            textbutton _("SILENCE") yalign .5 action [ Stop("music"), SetScreenVariable("currentsong",0) ]

    vbox:
        pos (40,26)
        label _("NOW PLAYING")
        frame:
            text tracklist[currentsong] size gui.mobile_button_text_size

style musicgal_button_text:
    variant "touch"
    size gui.mobile_button_text_size

screen mmbuttons(btn):
    variant "touch"
    hbox:
        textbutton "<":
            activate_sound "music/sound/tap.wav"
            if btn==1:
                action SetScreenVariable("btn",3)
            else:
                action SetScreenVariable("btn",btn-1)

        vbox:
            xsize 420
            if btn==1:
                textbutton _("ENTER"):
                    activate_sound "music/sound/start.wav"
                    at show_mmbutton
                    xalign .5
                    if persistent.yourtrueend:
                        action Start("reset")
                    elif persistent.bossclear:
                        action Start("tragedydefeated")
                    else:
                        action Start()
            elif btn==2:
                textbutton _("SETTINGS"):
                    at show_mmbutton
                    xalign .5
                    action ShowMenu("preferences")
                    activate_sound "music/sound/check.wav"
            elif btn==3:
                textbutton _("MUSIC"):
                    at show_mmbutton
                    xalign .5
                    action Show("soundstage", transition=fade) sensitive persistent.tutorial==True or persistent.totalreset==True

        textbutton ">":
            activate_sound "music/sound/tap.wav"
            if btn==3:
                action SetScreenVariable("btn",1)
            else:
                action SetScreenVariable("btn",btn+1)

screen quick_menu():

    variant "touch"

    ## Ensure this appears on top of other screens.
    zorder 100

    if quick_menu:
        hbox:
            style_prefix "quick"

            xalign .01
            yalign .98
            textbutton _("back") action Rollback()
            # textbutton _("log") action ShowMenu('history') keysym "button_alternate"
            # textbutton _("save") action ShowMenu('save') sensitive persistent.bossclear==None
            textbutton _("auto") action Preference("auto-forward", "toggle")

        hbox:
            style_prefix "quick"

            xalign .99
            yalign .98
            textbutton _("skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("menu") action ShowMenu('preferences')

screen preferences():
    variant "touch"
    tag menu

    use game_menu(_("SETTINGS"), scroll="vpgrid"):

        vbox:

            hbox:
                box_wrap True
                vbox:
                    style_prefix "pref"
                    xsize gui.pref_left_vbox_xsize
                    # spacing 12
                    label _("LANGUAGE")
                    if preferences.language=="arabic":
                        imagebutton auto "gui/button/arabic_%s.png" action ShowMenu("language") activate_sound "music/sound/tap.wav"
                    elif preferences.language=="heb":
                        imagebutton auto "gui/button/hebrew_%s.png" action ShowMenu("language") activate_sound "music/sound/tap.wav"
                    else:
                        textbutton get_languagename(get_languageno()) action ShowMenu("language") activate_sound "music/sound/tap.wav"
                    label _("ACCESSIBILITY")
                    textbutton _("menu") action ShowMenu("accessibility") activate_sound "music/sound/tap.wav"

                vbox:
                    style_prefix "check"
                    label _("SKIP")
                    textbutton _("unseen text") action Preference("skip", "toggle")
                    textbutton _("after choices") action Preference("after choices", "toggle")
                    textbutton _("transitions") action InvertSelected(Preference("transitions", "toggle"))

            null height (3 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                #box_wrap True
                xfill True

                vbox:

                    label _("TEXT SPEED")

                    bar value Preference("text speed") released Play("sound", "music/sound/bar1.wav")

                    label _("AUTO DELAY")

                    bar value Preference("auto-forward time") released Play("sound", "music/sound/bar1.wav")

                    # null height gui.pref_spacing

                vbox:

                    if config.has_music:
                        label _("BGM")

                        hbox:
                            style_group "radio"
                            # bar value Preference("music volume") released Play("sound", "music/sound/bar1.wav")
                            textbutton _("on") action Preference("music mute", "disable")
                            null width 20
                            textbutton _("off") action Preference("music mute", "enable")

                    if config.has_sound:

                        label _("SFX")

                        hbox:
                            style_group "radio"
                            # bar value Preference("sound volume") released Play("sound", "music/sound/bar1.wav")
                            textbutton _("on") action Preference("sound mute", "disable")
                            null width 20
                            textbutton _("off") action Preference("sound mute", "enable")


                    # if config.has_music or config.has_sound or config.has_voice:
                    #     null height gui.pref_spacing
                    #
                    #     textbutton _("MUTE ALL"):
                    #         action Preference("all mute", "toggle")
                    #         style "mute_all_button"
